# 変更ログ

## 3.7.13 (2025-03-15)

- [全画面表示] と [Zen モード] の切り替えが適用されないことがある問題を修正
- [オプション] のタブとインデントの項目を [タブ/インデント] カテゴリに移動
- [オプション] の [基本] カテゴリの [リンクをダブルクリックで開く] を [リンクを開く] に変更
- [オプション] の [基本] カテゴリに [カラー コードを開く] を追加
- [オプション] の [表示] カテゴリの [表示項目] に [カラー コード] を追加
- マクロに document.ScrollX、document.ScrollY、document.KeepScrollPos プロパティを追加
- マクロに editor.ExecuteMacro メソッドを追加
- マクロの window.Prompt メソッドで、キャンセル ボタンをクリックしたとき、null を返すようにした
- 特定の条件下でウィンドウの位置が復元されないことがある問題の対策
- [マイカ] のとき、マクロで Redraw = false に設定すると、エディター部分の描画が消えることがある問題の対策
- クラッシュしたとき、Mery.ini のバックアップを保存するようにした
- [Display] RegExMode=2 で、検索文字列の強調も正規表現を使用して折り返しをまたげるようにした
- [Search] ReplaceStrict=0 で、厳密な置換を無効にできるようにした
- その他、細かい修正

## 3.7.12 (2025-02-07)

- マクロの document.selection.AddPos、document.selection.AddPoint メソッドで、引数に配列を使用できるようにした
- [全画面表示] のとき、アクセラレータ キーを使用すると、一時的に全画面表示を解除するようにした
- トレイ アイコンの [終了] コマンドの動作を修正
- Ver 3.7.10 で、[選択範囲に次の候補を追加] が動作しなくなっていた問題を修正
- マクロで EVariantError が発生したとき、メモリ リークが発生する可能性があった問題を修正
- リンクを開いたとき、マウス キャプチャを解放するように修正
- ツール バーの [編集モード] ボタンをクリックしたとき、[編集モードの設定] を開くようにした
- その他、細かい修正

## 3.7.11 (2025-02-01)

- [Display] RegExMode=2 使用時に、マーカーの正規表現が正しく反映されない問題を修正

## 3.7.10 (2025-01-31)

- [Display] RegExMode=2 の動作速度を高速化
- 強調文字列やマーカーの正規表現で、ヒットした箇所をスキップするように仕様変更
- [鬼車を使用する] がオフの場合でも、強調文字列やマーカーの正規表現で鬼車が使用されていた問題を修正
- 編集モードのエクスポートで、*.msy 形式で保存したときにソートしていた仕様を廃止
- 変換中の文字列が右端で折り返されるときの処理を修正
- マクロの document.selection.AddPos メソッドを若干高速化
- 鬼車を 6.9.10 に更新
- タブの閉じるボタンを [ウィンドウの右端] に設定している場合、タブが正しく描画されないことがある問題を修正
- [例外] 文字が正しく描画されない問題を修正
- ワークスペース機能で、一時保存ファイルを UTF-8 形式に変更
- 無題の文書に連番を付ける隠しオプションを追加
- その他、細かい修正

## 3.7.9 (2024-12-24)

- マクロに非同期処理が含まれる場合、IME の入力をできるだけ制限するように調整
- マクロに非同期処理が含まれる場合、ショートカット キーの入力を制限するように調整
- マクロの実行中に別のマクロを実行できてしまう問題の対策
- [挿入] コマンドを [編集] カテゴリに移動
- 折り返し設定を従来の仕様に戻す隠しオプションを追加
- [すべて保存]、[すべて閉じる] 実行時、ダイアログが表示されないタブがアクティブにならないように調整
- [すべて保存]、[すべて閉じる] 実行時、ダイアログが表示される場合は最小化されたウィンドウを復元するように調整
- 強調文字列やマーカーの正規表現で、論理行単位の色分けに対応する隠しオプションを追加
- 折り返しなしで 1 行が長い場合、特定の条件下で発生していた例外を修正
- ダーク モードのとき、タブやツール バーなどのヒント ウィンドウで白い背景が一瞬表示される問題の対策
- ライト モードで [アクセント カラーを使用する] がオンの場合、Zen モードで枠が表示されていた問題を修正
- マクロをイベントから実行したとき、document がイベントの送信元の文書を指すように仕様変更
- その他、細かい修正

## 3.7.8 (2024-11-25)

- タブの閉じるボタンをホイールクリックでも閉じられるように対応
- コンボ ボックスのスクロール バーをダークモードに対応
- マクロに shell.GetEnv メソッドを追加
- マクロに shell.KeepRunning プロパティを追加
- マクロに非同期処理が含まれる場合、エディターでの操作をできるだけ制限するように調整
- マクロ実行中にエディターを閉じたとき、マクロが終了するまで待機するようにした
- マクロ実行時における Document オブジェクトの存在チェックを厳密化
- プラグイン イベントの EVENT_MODE_CHANGED を遅延呼び出しに変更
- [ダーティ インジケーターをドットで表示する] が有効な場合、Zen モードで閉じるボタンの端が表示される問題を修正
- [全画面表示] または [Zen モード] の状態で終了した場合、起動時にウィンドウが最大化されていた問題を修正
- その他、細かい修正

## 3.7.7 (2024-11-17)

- Unicode 16.0 に対応
- 折り返し設定の仕様を変更
- [オプション] の [タブ] カテゴリに [ダーティ インジケーターをドットで表示する] オプションを追加
- [閉じるボタン] を [ウィンドウの右端] に配置した際に、ボタンの背景を塗りつぶすように変更
- [単語のみ検索する] がオンのとき、異体字と基底文字を区別するようにした
- アウトライン プラグインで、[編集モード] が [Markdown] のときのデフォルト設定を変更
- アウトライン プラグインの [プロパティ] に [コメント行を無視する] を追加
- アウトライン プラグインで、Alt + Up/Down でカーソルを移動するとカーソル位置が画面の中央に表示されるようにした
- プラグイン メソッドに Editor_GetAttr を追加
- プラグイン イベントの EVENT_DOC_CLOSE でファイル名を取得できるようにした
- プラグイン メソッドの Editor_Info に以下の項目を追加:
	- MI_GET_NEXT_BOOKMARK
	- MI_GET_PREV_BOOKMARK
	- MI_GET_BOOKMARK_COUNT
	- MI_ADD_BOOKMARK
	- MI_REMOVE_BOOKMARK
	- MI_CLEAR_BOOKMARK
- [編集モードの設定] のリスト ビューで、キーボードによる項目検索が機能しない問題を修正
- [アクティブなタブを強調表示する] が、設定関連のダイアログにも適用されていた仕様を廃止 (アクセント カラーは引き続き適用)
- [タブの幅] を [指定した幅に固定する] 設定時、タブ内の文字列と閉じるボタンが重ならないよう調整
- [タブの幅] を [指定した幅より長い場合は切り詰める] 設定時、タブの幅の計算方法を調整
- タブを閉じた直後に、[最後に閉じたファイルを開く] コマンドが動作しなかった問題を修正
- [重ねて表示]、[上下に並べて表示]、[左右に並べて表示] をアクティブになった順に表示するようにした
- [Zen]、[Zen Dark] のマーカーの色を変更
- [サンプル] の強調文字列の描画を修正
- [背景] で WebP 形式に対応
- [選択範囲]、[選択範囲 (複数選択)] の [文字色] と [スタイル]、[不透明] に対応
- [対応する括弧] の強調表示を他の強調表示に重ねて描画できるようにした
- [行の右をすべて強調] の処理を改善
- ルーラーをドラッグしたときの動作を修正
- [次/前の行にカーソルを追加] で、現在のカーソル位置が折り返しを超えない場合、論理行単位にした
- [大きいフォント サイズ]、[小さいフォント サイズ] コマンドのショートカット キーの初期値に [Ctrl + ;]、[Ctrl + -] を追加
- マーカー部分を必ずスペル チェックの対象にしていた仕様を廃止
- メモ帳の置き換えで引数が指定されていない場合の動作を修正
- DirectWrite の縦書き時に、文字幅 (文字の高さ) の描画を改善
- OpenType 機能を使用したとき、文字幅を正しく描画できるようにした
- 等幅半角字形の動作速度を高速化
- ダークモードで [ツール バーを固定する] がオンのとき、グリップが表示されていたのを修正
- その他、細かい修正

## 3.7.6 (2024-09-09)

- Ctrl キーを押しながらリンクをクリックして開く機能を、リンクが選択範囲内にあっても開けるように対応
- [編集モードのプロパティ] の [関連付け] カテゴリ名を [ファイルの種類] に変更
- [編集モードのプロパティ] の [ファイルの種類] に [既定の拡張子] を追加
- フォールバック フォントにシステム フォントとカスタム フォントが混在している場合の優先順位を調整
- タブのデザインを調整
- [オプション] の [タブとウィンドウ] カテゴリを [タブ]、[ウィンドウ] に分割
- [オプション] の [タブ] カテゴリに [アクティブなタブを強調表示する] を追加 (Windows 8、Vista は未検証)
- それに伴い、[アクセント カラーを使用する] がオンの際にタブを塗りつぶす仕様を廃止
- [タブの幅] を [指定した幅に固定する] 設定時、[タブを左揃えにする] をオンにするとタブ内の文字列が左揃えになるように対応
- [タブの幅] を [指定した幅に固定する] 設定時、タブ内の文字列と閉じるボタンが重ならないように調整 (以下のいずれかの設定が有効な場合に適用):
	- [アプリのテーマ] で [ダーク] を選択
	- [アクティブなタブを強調表示する] をオン
	- [アクセント カラーを使用する] をオン
- その他、細かい修正

## 3.7.5 (2024-08-26)

- /sp オプションを指定した際にダイアログが表示されてしまう問題を修正
- 隠しオプション [General] Links=1 を使用した場合に、[リンクをダブルクリックで開く] がオフにできない問題を修正
- [更新していなければ読み直す] で、ファイルが更新されていた場合に確認ダイアログを表示するようにした
- [オプション] の [タブとウィンドウ] カテゴリに [タブのスタイル]、[タブの幅]、[タブを左揃えにする] を追加
- DirectWrite のフォールバック フォントが縦書きで動作しなかった問題を修正
- その他、細かい修正

## 3.7.4 (2024-08-18)

- [ローマ字検索] に対応
- [オプション] の [基本] カテゴリに、[外部で変更された時] の項目として [更新していなければ読み直す] を追加
- [読み直し] のとき、スクロール位置の復元処理を改善
- ウィンドウを分割しているとき、[読み直し] でサブエディター側のカーソル位置とスクロール位置が復元されなかった問題を修正
- [ファイルから検索] ダイアログで、[ファイルの種類] を現在の編集モードから自動的に設定するようにした
- それに伴い、[>] ボタンで [ファイルの種類] の初期値を [現在のファイルの種類]、[現在のファイルの拡張子]、[現在のファイル]、[最後に使った値]、[固定値] から選択できるようにした
- [ファイルから検索] ダイアログで、[検索するフォルダー] の初期値を [現在のフォルダー]、[最後に使った値]、[固定値] から選択できるようにした (Windows XP はサポート対象外)
- それに伴い、[検索するフォルダー] の文字列に | を含めることで固定値とする方法を廃止
- [オプションを指定して実行] ダイアログの [マクロ] の [>] ボタンの仕様を変更 (Windows XP はサポート対象外)
- WSL のシェルで、~/aaa.txt のようなパスを指定してファイルを開けるようにした
- [ファイルから検索] の結果に表示されたファイルのパスがリンクとして機能するようにした
- それに伴い、[リンクをダブルクリックで開く] の設定も [ファイルから検索] の結果に適用するようにした
- プラグインの Editor_Find、Editor_Replace メソッドに FLAG_FIND_ALL、FLAG_FIND_NOT_BOL、FLAG_FIND_NOT_EOL、FLAG_FIND_KEEP_OPTIONS を追加
- DirectWrite のフォールバック フォントでカスタム フォントを使用できるようにした
- その他、細かい修正

## 3.7.3 (2024-07-28)

- [括弧/引用符で選択範囲を自動的に囲む] で選択範囲が 1 文字かつ括弧/引用符ではない場合に対応
- [アプリのテーマ (試験的)] に [淡いマイカ] と [アクリル] を追加
- [オプション] の [タブとウィンドウ] カテゴリに [透明効果をエディター領域に適用する] を追加
- [オプション] の [表示] カテゴリに [行番号 (線)] と [ルーラー (線)] の項目を追加
- [インデント ガイド] を 1 段目も表示するようにした
- [表示] の [記号] に [行番号の線] を追加
- [オプション] の [基本] カテゴリの [行番号を表示] に [絶対値]、[相対値]、[10 行ごと] を追加
- キーボード ショートカットの [表示] カテゴリに [行番号を絶対値で表示]、[行番号を相対値で表示]、[行番号を 10 行ごとに表示]、[行番号を論理行で表示] コマンドを追加
- [一時オプションを設定して実行] コマンドの名前を [オプションを指定して実行] に変更
- それに伴い、[オプションを指定して実行] コマンドを [マクロ] メニューに表示するようにした
- マクロの window.Prompt メソッドに mePromptMultiline フラグを追加
- [検索する文字列] のドロップダウン リストを表示した状態で Alt + V キーを押したときに項目を貼り付けできるようにした
- その他、細かい修正

## 3.7.2 (2024-06-27)

- [括弧/引用符で選択範囲を自動的に囲む] の仕様変更と機能追加
	- 引用符の設定を [編集モード] から取得していた仕様を廃止
	- IME 有効時にも動作するようにした
	- 全角括弧に対応
	- バッククォート文字 (`) に対応
- ディスプレイのスケールが 150% までの場合にクラシック ルーラーを使用していたのを廃止
- [編集モードの設定] の [プロパティ] で [既定にリセット] を実行したとき、[関連付け] の設定も既定の値を適用するようにした
- 辞書ファイルに Arduino (ino.txt) を追加
- キーボード ショートカットの [ファイル] カテゴリに [エクスプローラーで開く]、[パスのコピー] コマンドを追加
- ツール バーを一番下の段に移動した直後にウィンドウを分離すると、ツール バーの位置が反映されない問題の対策
- ウィンドウを分離しているとき、マーカー バーが連動しない問題を修正
- ウィンドウを分割しているとき、サブエディター側でも括弧の強調と補完を使えるようにした
- マクロに shell.GetKeyState メソッドを追加
- IME の候補ウィンドウを変換中の文字列の先頭に配置するように仕様変更
- 検索ダイアログで [複数行] がオンのとき、Alt + ↑/↓ キーで履歴の一覧を開閉できるようにした
- プラグイン メソッドに Editor_GetPageSize、Editor_DevToView、Editor_ViewToDev を追加
- その他、細かい修正

## 3.7.1 (2024-04-16)

- [オプション] の [基本] カテゴリに [括弧/引用符で選択範囲を自動的に囲む] を追加
- [オプション] の [基本] カテゴリの [追加のインデント文字] を [...] ボタンに移動
- タブのドラッグ開始の判定を厳しくしてみた
- ディスプレイのスケールが 150% まではクラシック ルーラーを使うようにしてみた
- [ファイル] メニューに [最近閉じたファイル] を追加
- キーボード ショートカットの [ファイル] カテゴリに [最後に閉じたファイルを開く] コマンドを追加
- [ポップアップ メニューの設定] の [ファイル] カテゴリに [最近開いたファイルの一覧]、[最近閉じたファイルの一覧]、[最後に閉じたファイルを開く] コマンドを追加
- 検索/置換ダイアログで [複数行] がオンのとき、アクセラレータ キーが動作しなかったのを修正
- [編集モード] に [Arduino] を追加 (アップデートの場合は必要に応じて手動で [Arduino] の項目を追加してください)
- [マイカ] のとき、プラグイン メソッドの Editor_ToolBarClose を呼び出すとクラッシュする問題を修正
- エンコードの名前の後ろに詳細情報を追加
- その他、細かい修正

## 3.7.0 (2024-02-22)

- マイカに対応
- 国旗の絵文字に対応 (Twemoji.Mozilla.ttf のインストールが必要)
- [強調文字列] のリスト ビューと、[マーカー] のリスト ビューで、色番号を変更するとき、Ctrl キーを押しながらクリックまたはスペース キーで、値を減少できるようにした
- 正規表現で検索したときの検索文字列の強調で、「$」が折り返しの末尾にもマッチしていた問題の対策
- マクロの記録で、Ctrl + ↑/↓ の操作が LineUp/LineDown として記録されていたのを修正
- マクロの記録で、キーボードによる [列の選択] を記録できるようにした
- 右端で折り返すとき、結合文字が途中で分割されることがあった問題の対策
- ダーク モードのとき、アウトライン プラグインのテーマ (ダーク/ライト) を背景色の明るさに応じて自動的に変更するようにした
- [全画面表示]、[Zen モード] を解除したときにウィンドウの角丸が無くなってしまう問題の対策
- マルチ カーソルで折り返し位置を変更したとき、選択範囲がずれることがあった問題を修正
- カーソルのサイズを調整する隠しオプションに、以下の機能を追加
	- CaretWidth: -1 を指定すると、カーソル位置の文字幅に合わせます
	- CaretHeight: 挿入モードでは指定した値が使用され、上書きモードでは文字の高さに合わせます
	- ImeCaretWidth と ImeCaretHeight も同じ機能が適用されます
- 複数のウィンドウを開いているとき、タブのポップアップ メニューで [新しいグループ]、[新しい上下グループ]、[新しい左右グループ]、[次のグループに移動]、[前のグループに移動]、[次へ移動]、[前へ移動] が動作しないことがあった問題を修正
- その他、細かい修正

## 3.6.5 (2024-01-22)

- [変換中の文字列を挿入モードで入力] がオンのとき、IME の前後フィードバックが後方に対して効かなかったのを改善
- Windows XP で、[変換中の文字列を挿入モードで入力] がオンのとき、IME の前後フィードバックが固まることがある問題の対策
- 自動マーカーを更新するタイミングを調整
- マルチ カーソルで [元に戻す] を実行したとき、折り返し位置が再計算されないことがある問題を修正
- マルチ カーソルで [元に戻す] を実行したとき、進捗ダイアログが表示されるとエディターウィンドウが再描画される問題の対策
- マルチ カーソルで改行を削除したとき、特定の条件下で動作速度が低下する問題の対策
- [Zen モード] で行番号が表示されていないとき、[行番号 (選択行)] の背景色が描画されていたのを修正
- その他、細かい修正

## 3.6.4 (2023-12-23)

- Unicode 15.1.0 に対応
- 検索/置換ダイアログの [複数行] に [右端で折り返す] を実装
- Windows 7 で、検索/置換ダイアログの [複数行] で Ctrl + A が効かなかった問題の対策
- 鬼車を 6.9.9 に更新
- 複数の Mery.exe プロセスが同時に実行されたときの、多重起動防止と排他制御の仕組みを改善
- サンプル マクロの [重複行の削除] を修正
- 特定の条件下で自動マーカーが更新されない問題を修正
- その他、細かい修正

## 3.6.3 (2023-11-15)

- 検索/置換ダイアログで複数行の入力に対応
- 選択範囲がある状態での [1 行上/下へ移動]、[1 ページ上/下へ移動] の動作を修正
- 複数行を選択して、[マーカーに追加] を実行したとき、空行を含めないようにした
- ステータス バーのテキストをダブルクリックで消去できるようにした
- [ドキュメントの開始位置]、[ドキュメントの終了位置] の項目名を [文頭]、[文末] に変更
- サンプル マクロの [空行の削除]、[重複行の削除]、[昇順に並べ替え]、[降順に並べ替え] で選択範囲の保持と末尾の改行の保持、マルチ カーソルに対応
- [オーバー スクロール] が [半ページ] のとき、ワークスペースの復元時にクラッシュすることがある問題を修正
- 選択範囲がない状態での [逆インデント] の仕様を変更
- ショートカット キーを BrowserBack などのメディア キーに対応してみた
- [検索する文字列] に入力できる文字数の上限を 30,000 文字に制限した
- 選択範囲を [検索する文字列] に渡すときの文字数の上限を 8,000 文字、改行の数を 100 個に制限した
- 選択範囲を [検索する文字列] に渡すときに末尾の改行文字を削除するようにした
- [オプション] ダイアログの [DirectWrite] カテゴリの項目の幅を修正
- [バージョン情報] ダイアログに [情報のコピー] ボタンを追加
- 検索/置換ダイアログを表示したまま終了したとき、位置とサイズを記憶するようにした
- [検索する文字列] にドラッグ アンド ドロップしたとき、テキストをエンコードしていたのを廃止
- その他、細かい修正

## 3.6.2 (2023-10-29)

- [キーボード] の設定の [分類] の項目名を [カテゴリ] に戻した
- [キーボード] の設定の [カテゴリ] に [移動/選択] を追加
- [キーボード] の設定の [新しいショートカット キー] で Ctrl + A を押すと文字列が選択されていたのを修正
- [移動/選択] カテゴリに以下のコマンドを追加
	- 論理行の行頭へ移動
	- 論理行の行末へ移動
	- 論理行の行頭まで選択
	- 論理行の行末まで選択
- サンプル マクロの [重複行の削除] の動作速度を改善
- サンプル マクロに [空行の削除] を追加
- 複数のファイルを選択して Enter キーで Mery を起動したとき、ウィンドウが背面に表示される問題の対策
- Zen モードの状態でタブを閉じたとき、特定の条件下でクラッシュすることがある問題を修正
- 対応する括弧に "［］" を追加
- [特別な構文] が [HTML] のとき、対応する括弧に "<>" を追加
- リスト ビューの [すべて選択] の動作速度を改善
- INI ファイルの [強調文字列] のデータ形式を変更
- それに伴い、INI ファイルのバージョンを上げた
- Wine で起動時にクラッシュする問題の対策 (64 ビット版)
- Wine で [オプション] ダイアログを表示するとクラッシュする問題の対策 (64 ビット版)
- Wine でタブをドラッグするとクラッシュする問題の対策 (64 ビット版)
- Wine で [マーカー バー] のボタンのアイコンが表示されなかったのを修正
- 検索で水平スクロールが発生したときに、検索した文字列の開始位置が画面の中央付近に来るようにしたのを廃止
- 選択範囲がある状態での [1 行上/下へ移動]、[1 ページ上/下へ移動] で、選択範囲の開始位置と終了位置に応じて起点を変えるようにした
- 行番号をクリックしたときの行選択で、カーソル位置を末尾側に変更
- 1 行選択で、カーソルが次の行の行頭にある場合、[自動マーカー] の対象になるようにした
- 行が折り返されている場合、[読み直し] でカーソル位置が正しく復元されない問題を修正
- その他、細かい修正

## 3.6.1 (2023-10-17)

- 2 ストローク キーのショートカットに対応
- それに伴い、INI ファイルのバージョンを上げた
- 設定のインポートとエクスポート、リセットに対応
- キーボード マップのインポートとエクスポートに対応
- Alt + 方向キーにショートカットを割り当てられるようにした
- 選択範囲がある状態で左右キーを押したとき、選択範囲の解除に仕様変更
- [オプション] の [アクセント カラーを使用する] を [タブとウィンドウ] カテゴリへ移動
- [オプション] の [基本] カテゴリに [自動的に無題の文書に名前を付ける] を追加
- [マルチ カーソルを有効にする] の既定値をオンにした
- 対応する括弧の強調で、解析の上限を 200 行まで増やした
- 対応する括弧の強調で、カーソル位置の左側も対象にした
- 対応する括弧の強調で、"<>" を対象から削除した
- 検索で水平スクロールが発生したときに、検索した文字列の開始位置が画面の中央付近に来るようにした
- [キーボード] の設定で [新しいキー] に Alt キーの組み合わせを入力したとき、ビープ音が鳴っていたのを抑制
- [キーボード] の設定のレイアウトを変更
- [キーボード] の設定に [説明] 項目を追加
- [キーボード] の設定の [現在の割り当て] から [>] ボタンで対象の項目にジャンプできるようにした
- マクロを記録して、[マクロ] の [編集] を実行したとき、編集モードを JavaScript にするようにした
- メニュー コマンドをある程度、マクロに記録できるようにした
- マクロの実行中はステータス バーを更新しないようにした
- [編集] カテゴリに以下のコマンドを追加
	- 1 文字左を削除
	- 1 文字右へ移動
	- 1 文字左へ移動
	- 1 単語右へ移動
	- 1 単語左へ移動
	- 1 行上へ移動
	- 1 行下へ移動
	- 1 ページ上へ移動
	- 1 ページ下へ移動
	- 行頭へ移動
	- 行頭またはテキストの開始位置へ移動: Home
	- 行末へ移動
	- ドキュメントの開始位置へ移動
	- ドキュメントの終了位置へ移動
	- 対応する括弧へ移動: Ctrl + ]
	- 文字の選択を開始: F8
	- 列の選択を開始: Shift + Ctrl + F8
	- 1 文字右まで選択
	- 1 文字左まで選択
	- 1 単語右まで選択
	- 1 単語左まで選択
	- 1 行上まで選択
	- 1 行下まで選択
	- 1 ページ上まで選択
	- 1 ページ下まで選択
	- 行頭まで選択
	- 行頭またはテキストの開始位置まで選択: Shift + Home
	- 行末まで選択
	- ドキュメントの開始位置まで選択
	- ドキュメントの終了位置まで選択
	- 対応する括弧まで選択: Shift + Ctrl + ]
	- 1 文字右まで列を選択
	- 1 文字左まで列を選択
	- 1 単語右まで列を選択
	- 1 単語左まで列を選択
	- 1 行上まで列を選択
	- 1 行下まで列を選択
	- 1 ページ上まで列を選択
	- 1 ページ下まで列を選択
	- 行頭まで列を選択
	- 行頭またはテキストの開始位置まで列を選択: Shift + Alt + Home
	- 行末まで列を選択
	- ドキュメントの開始位置まで列を選択
	- ドキュメントの終了位置まで列を選択
	- 選択範囲の取り消し
	- 行の 2 重化: Shift + Ctrl + Y
- [表示] カテゴリに以下のコマンドを追加
	- 編集モードの選択: Ctrl + K, M
- [ツール] カテゴリに以下のコマンドを追加
	- 設定のインポート
	- 設定のエクスポート
	- すべての設定をリセット
- [ウィンドウ] カテゴリに以下のコマンドを追加
	- 1 行上へスクロール
	- 1 行下へスクロール
- マクロに document.selection.GoToBracket メソッドを追加
- マクロに document.Vertical プロパティを追加
- マクロの document.selection.StartOfLine メソッドに meLineHomeText フラグを追加
- マクロの editor.FindInFiles と editor.ReplaceInFiles を複数のフォルダーに対応
- マクロの document.selection.DuplicateLine メソッドの動作を改善
- サンプル マクロの [連続する重複行を削除] を連続しなくても重複行を削除できるようにした
- サンプル マクロに [番号の挿入] を追加
- サンプル マクロの最適化と、ファイル名を英語に変更
- 初回起動時、[マクロ] メニューに自動的にサンプル マクロを登録するようにした
- マクロの [カスタマイズ] ダイアログに [リセット] ボタンを追加
- [名前を付けて保存] のとき、マクロの [ファイルを保存する前] イベントと、プラグインの EVENT_FILE_SAVING でファイル名を取得できるようにした
- [読み直し] で、マクロに [ファイルを開いた時] イベント、プラグインに EVENT_FILE_OPENED を送信するようにした
- [読み直し] でバイナリ ファイルだったときの動作を修正
- [縦書き] でショートカット キーに方向キーが含まれている場合、自動的に右に 90 度回転するようにした
- [縦書き] でカーソルを左右に移動したとき、カーソルの位置が維持されなかったのを修正
- ワークスペースを復元したとき、ウィンドウのサイズによっては下部にスクロールの余白が出ることがあったのを修正
- スクロール バー マーカーを表示していると、行数が 8,000,000 を超えたあたりでクラッシュする問題を修正
- インストーラーで、インストールする項目をカスタマイズできるようにした
- インストーラーで、フォルダーのコンテキスト メニューに [Mery でファイルから検索] を追加できるようにした
- その他、細かい修正

## 3.6.0 (2023-09-06)

- [ファイルから検索]、[ファイルから置換] をマルチスレッド対応にして高速化
- アプリケーションが非アクティブなときの、メッセージ ボックスの挙動を修正
- 単語左へのカーソル移動と、[単語左削除] で、サロゲート ペア、異体字、絵文字を構成する文字の間にできるだけカーソルが移動しないようにした
- サロゲート ペアの漢字を [全角漢字] として扱うようにした
- マルチ カーソルでカーソル位置の更新に時間がかかっていたのをある程度改善
- [最近のファイル表示数] の初期値を 16 にした
- 予期しないエラーが発生したときに、クラッシュ レポートを出力するようにした
- メニュー内のコンテキスト メニューからモーダル ダイアログを開いたときに、タスク バーのボタンがロックされる問題の対策
- その他、細かい修正

## 3.5.9 (2023-08-11)

- [検索] で [インクリメンタル サーチ] と [選択した範囲のみ] がオンのとき、選択範囲を維持するようにした
- プラグインで Editor_CustomBarOpen を呼び出したとき、EVENT_DPI_CHANGED を遅延送信するようにした
- プラグインの Editor_Info に MI_GET_FONT_HEIGHT を追加
- 本体のフォント サイズが .5 のとき、アウトライン プラグインのフォント サイズを同期できるようにした
- [スペル チェック] でアポストロフィ (')、ハイフン (-)、ピリオド (.) を単語の一部として扱うようにした
- [スペル チェック] ですべて大文字の単語は無視するようにした
- [スペル チェック] で [辞書に追加] を実行したとき、すぐに Mery.dic を更新するようにした
- [スペル チェック] のユーザー辞書で、既存の単語をモデルにできるようにした
- [トレイ アイコンを表示] がオンの状態ですべてのウィンドウを閉じたとき、スペル チェックの無視リストをクリアするようにした
- ツール バー プラグインがインストールされている状態で、かつ特定の条件下で Windows をシャットダウンしたとき、「無効なポインタ操作」が Mery.log に出力されていたのを修正
- [改行を削除] と [行の結合] で、空の行を無視するようにした
- eula.rtf を更新
- [編集] カテゴリに [GUID の作成] コマンドを追加
- その他、細かい修正

## 3.5.8 (2023-07-24)

- 複数行を選択して 1 列目にカーソルがあるとき、その行を [逆インデント] しないようにした
- [選択範囲の変換] の [インデント] と [逆インデント] を選択範囲がないときも使用できるようにした
- [選択範囲の変換] の [文字コードの切り替え] が [書き換え禁止] のときも有効になっていたのを修正
- [選択範囲の変換] の [Base64 エンコード] が [書き換え禁止] のときも動作していたのを修正

## 3.5.7 (2023-07-23)

- 折り返しインデントの行頭で下にカーソルを移動したときのカーソル位置がおかしかったのを修正
- 折り返しインデントされた行で上下にカーソルを移動したときにカーソル位置がずれる問題を修正
- [インデント ガイド] を文字よりもあとに描画するようにした
- 複数行を選択しているときに [逆インデント] が動作しないことがあったのを修正
- [水平罫線]、[折り返し線]、[インデント ガイド] の [文字色] に [透明] を指定したとき、[通常] の [文字色] を適用するようにした
- その他、細かい修正

## 3.5.6 (2023-07-22)

- [折り返しインデント] に対応
- [インデント ガイド] に対応
- タブの幅を半角空白の幅を基準に計算するようにした
- [オプション] の [折り返し線を表示] と [カーソルのある行に水平罫線を表示] を [記号] カテゴリに移動
- それに伴い、[表示] メニューの [記号] に [折り返し線] と [水平罫線] を追加
- [印刷] で [禁則処理を行う] が常に有効になっていたのを修正
- 何も選択していないとき、Shift + Tab キーで [逆インデント] できるようにした
- [すべて検索] を高速化
- マルチ カーソルで [選択範囲の変換] の動作速度を改善
- マルチ カーソルで編集に時間がかかる場合、中断できるようにした
- [表示] メニューに [インデント] を追加
- [オプション] の [キーボード] で Alt キーとの組み合わせがボタンのアクセラレータ キーに横取りされていた問題の対策
- その他、細かい修正

## 3.5.5 (2023-07-02)

- Ver 3.5.4 でリストビューにポップアップ メニューを表示するようにした副作用で、項目を編集中のショートカット キーが上書きされてしまったのを修正
- マーカー バーのポップアップ メニューから [マーカーの設定] を開いたときに該当項目を選択するようにした
- マーカー バーのポップアップ メニューに [グループを有効]、[グループを無効] を追加
- [マーカー バーにテキストを表示] がオフのときはヒントに [タイトル] を表示するようにした
- 空のファイルで [読み直し] の [自動選択] を実行したときにステータス バーのエンコーディング表示が [自動選択] になっていたのを修正
- [改行の挿入]、[行の分割] で 1 行目が改行のみだったときに改行が消えていたのを修正
- メニューの項目を選択した状態からの右クリックで [キーボード ショートカットの割り当て] をできるようにした
- [ファイル] メニューの最近のファイルの一覧で項目を選択した状態からの右クリックで [開く]、[ピン留めする]、[ピン留めを外す]、[削除]、[このフォルダーから開く]、[エクスプローラーで開く]、[パスのコピー] をできるようにした
- タブの右クリックで [このフォルダーから開く]、[エクスプローラーで開く]、[パスのコピー] をできるようにした
- [マクロ バー]、[プラグイン バー]、[外部ツール バー] のボタンのポップアップ メニューをシンプルにした
- シェブロン メニューの項目を選択した状態からの右クリックでポップアップ メニューを表示できるようにした
- [検索する文字列] のドロップダウン リストを表示した状態で Alt + Delete キーを押したときに選択した項目のみ削除するようにした
- [Ctrl + ホイールでフォント サイズを変更] を無効にする隠しオプションを追加
- Windows 11 のダークモードで特定のリストビューに残像が出る問題の対策
- eula.rtf を更新
- その他、細かい修正

## 3.5.4 (2023-06-14)

- マーカーに [タイトル] を指定できる機能を追加
- マーカーの [インポート]、[エクスポート] に対応
- マーカー バーに複数行のテキストをドラッグ アンド ドロップできるようにした
- ダークモードでマーカー バーのボタンをドラッグしたときの挿入マークを白っぽくした
- Windows 11 のダークモードでリストビューがチラつくことがあった問題の対策
- リストビューでポップアップ メニューを表示するようにした
- リストビューのステートイメージを連続でクリックしたときの挙動を改善
- [表示] メニューの [ツール バー] に [マーカー バーにテキストを表示] を追加
- [マクロ バーのラベルを表示] を [マクロ バーにテキストを表示] に変更
- 32 ビット版の Windows で [外部ツール] の [Microsoft Edge] のパスを自動設定できるようにした
- ダークモードで [Zen モード] を解除したときにタブのスクロールボタンの表示が崩れる問題の対策
- ダークモードで [全画面表示]、[Zen モード] のときにマクロの Redraw プロパティを使用するとチラつくことがあった問題の対策
- [選択した範囲のみ] オプションが [すべて検索して選択] にも適用されていたのを修正
- エディターウィンドウをクリックしてアクティブにしたときに一瞬だけ直前のカーソルが見えていたのを修正
- Ctrl + Alt + ドラッグでルーラーより上部にドロップしたときにマルチカーソルの展開が動作しなかったのを修正
- [Google で検索]、[Wikipedia で検索] のリンク先を https に修正
- Windows 7 で [マーカー バー] のシェブロンが表示されないことがあった問題の対策
- その他、細かい修正

## 3.5.3 (2023-05-25)

- [すべて検索して選択] の動作が遅くなっていた問題を修正
- その他、細かい修正

## 3.5.2 (2023-05-11)

- [タイプライター スクロール] の [固定スクロール] で↑キーを押したときの動作を修正
- [検索]、[置換] ダイアログのレイアウトを変更

## 3.5.1 (2023-05-06)

- [検索]、[置換]、[ファイルから検索]、[ファイルから置換] ダイアログのレイアウトを変更
- [検索] ダイアログの [すべて検索] で [選択範囲のみ] を検索できるようにした
- マクロの document.selection.Find()、document.selection.Replace() のフラグに meFindReplaceSelOnly を追加。それに伴い、meReplaceSelOnly は廃止予定
- [ファイルから置換] ダイアログから [ファイルから検索] ダイアログに戻れるようにした
- 右側のペインを閉じたときにスクロール バーの跡が残ることがあった問題を修正
- ウィンドウを分離した状態でタブを閉じたときにタイトル バーが更新されないことがあった問題を修正
- Ver 3.5.0 から [検索] ダイアログの [検索する文字列] のドロップダウンで Enter キーが利かなくなっていたのを修正
- その他、細かい修正

## 3.5.0 (2023-04-29)

- あいまい検索に対応
- Ver 3.3.5 から [選択した範囲のみ] の置換で選択範囲の終端が行末とみなされなくなっていたのを修正
- [最近のファイル表示数] を減らしたときに Mery を終了するまでは履歴を保持するようにした
- マクロの ReadSettings、WriteSettings でキーボードの設定を読み書きしていたのを廃止
- マクロの ReadSettings で引数に INI ファイルを指定できるようにしてみた
- [置換後の文字列] に改行が含まれていたときに変更行の位置がずれていたのを修正
- [オプション] の [履歴] カテゴリに [最近の検索の表示数] を追加
- [ファイル] メニューの履歴が 8 個を超えた場合、サブメニューで表示するようにした
- [検索] ダイアログの [検索する文字列] で Ctrl + Enter を押したときにビープ音が出ていたのを修正
- [検索] ダイアログの [文末まで検索したら文頭に移動する] をメモ帳にあわせて [折り返しあり] に変更
- [置換] ダイアログ に [折り返しあり] を追加
- マーカー バーのポップアップ メニューに [折り返しあり] を追加
- その他、細かい修正

## 3.4.3 (2023-02-07)

- ポータブル版で V8 JavaScript エンジン (WebView2 コントロール) が動作しない問題の対策

## 3.4.2 (2023-02-07)

- Windows XP で起動しなくなっていたのを修正

## 3.4.1 (2023-02-06)

- V8 JavaScript エンジンに対応
- ワークスペースを復元したときにアクティブなタブまでスクロールする処理がうまく動作していなかったのを修正
- タブの文字列が変わったときにアクティブなタブまでスクロールするようにした
- [バージョン情報] ダイアログの Tidy のリンクを https に修正
- URL の途中にある「,」(カンマ) をリンク ターミネータとして扱わないようにした
- URL の「、」「。」「｡」「､」(句読点) をリンク ターミネータとして扱わないようにした
- [ファイルから検索] の [ファイルの種類] で先頭に空白文字のあるファイル名に対応
- [次のグループに移動]、[前のグループに移動]、[次へ移動]、[前へ移動] コマンドを追加
- タブのポップアップ メニュー から [新しいグループ]、[新しい上下グループ]、[新しい左右グループ] を実行したときにアクティブなタブが対象となっていたのを修正
- マクロに Shell オブジェクトを追加
- 「・」(中点) を記号として扱うようにした
- その他、細かい修正

## 3.4.0 (2022-12-24)

- タブの何もないところでマウスホイールをクリックしたときにアクティブなタブを閉じていたのを廃止
- [全画面表示] と [Zen モード] の終了方法のヒント表示を廃止
- [オプション] の [タブとウィンドウ] カテゴリに [マウス ホイールでタブを選択する] を追加
- [オプション] の [キーボード] カテゴリに [リセット] ボタンを追加
- マクロの定数に meStatusEnabled と meStatusChecked を追加
- マクロ イベントの [文字が挿入された時] が制御文字の入力や [書き換え禁止] のときにも発生していた問題の対策
- マクロの記録で [書き換え禁止] のときにもキーの入力が記録されていたのを修正
- [検索する文字列]、[置換後の文字列] に改行文字が含まれる場合の動作を改善
- [単語補完] のウィンドウで Tab キーでも確定できるようにした
- [論理行で表示] のときにステータス バーの選択行数を論理行数で表示するようにした
- カーソルが行頭にあるときは選択行数に含めないようにした
- エディターごとに [折り返し方法]、[行の文字数] が異なる状態でオプション画面を開いたときに設定を維持するようにした
- 正規表現で鬼車、鬼雲の \Q...\E に対応
- [タイプライター スクロール] の [可変] に対応
- [タイプライター スクロール] のショートカットキーの初期値を Shift + Ctrl + T に変更
- [固定スクロール] がオフの場合、サブエディターで [タイプライター スクロール] が動作しなかったのを修正
- Windows 11 でメニューをマウスで操作したときの挙動を修正
- Windows 11 のダークモードでタブバーのスクロールボタンが描画されない問題の対策
- ダークモードでタブバーのスクロールボタンにマウスを乗せたときにタブのホバー状態が解除されなかったのを修正
- [タブを複数行にする] がオフの場合、新規タブでタブバーをアクティブなタブまでスクロールするようにした
- URL の判定処理の仕様を変更
- [アクセント カラーを使用する] をライトモードでも使えるようにした
- ハイコントラストモードのときに [アクセント カラーを使用する] でタブを強調表示するようにした
- ハイコントラストモードのときに [書き換え禁止] アイコンを見やすくした
- [インクリメンタル サーチ] がオンのときに [すべて検索] の履歴が記録されなかったのを修正
- マルチディスプレイ利用時、[全画面表示]、[Zen モード] を解除するときのマウスの判定を修正
- その他、細かい修正

## 3.3.9 (2022-09-18)

- 縦書きで等幅半角字形に対応
- 縦書きで絵文字を描画するときの高さをきちんと計算するようにした
- コマンドラインオプションなしで引数のファイルがひとつの場合、パスを「"」で囲まなくても開けるようにした
- メモ帳の置き換え (/z) の引数で複数のファイルパスに対応
- [外部ツールの設定] のチェックボックスでメインメニューと外部ツール バーへの表示/非表示を切り替えられるようにした
- [行番号 (変更行)] と [行番号 (選択行)] を [透明] にしたときのサンプルの見え方を修正
- [タイプライター スクロール] のショートカットキーの初期値 (Ctrl + T) を廃止
- [全画面表示] と [Zen モード] を実行したときに終了方法のヒントを表示するようにした
- Hunspell を 1.7.1 に更新
- 結合文字と絵文字を Unicode 15.0 に更新
- その他、細かい修正

## 3.3.8 (2022-07-23)

- Windows 11 Insider Preview の特定のビルドで半角/全角キーを押すとフリーズする問題の対策
- Per-Monitor DPI で特定の条件下でアウトライン プラグインがフリーズする問題の対策
- [無題] のタブを [書き換え禁止] にしてワークスペースを復元するとエラーが発生していたのを修正
- その他、細かい修正

## 3.3.7 (2022-06-25)

- 鬼車を 6.9.8 に更新
- [検索する文字列] と [置換後の文字列] の履歴で大文字小文字を区別するようにした
- ウィンドウにドラッグ アンド ドロップしたときに CF_UNICODETEXT よりも CF_HDROP を優先するようにした
- ウィンドウを分離したときにツール バー プラグインの位置をできるだけ保持するようにした
- [論理行で表示] のときに行番号の幅が表示行で計算されていたのを修正
- ファイルの変更をチェックするときに微小の誤差を無視するようにした
- [単語左削除] のショートカットキーの初期値を Ctrl + BkSp にした
- [編集モード] に [TypeScript] を追加 (アップデートの場合は必要に応じて手動で [TypeScript] の項目を追加してください)
- 仮想デスクトップに対応
- それに伴い、隠しオプションの`[General] OpenIn=1`を廃止
- その代わり、[タブとウィンドウ] に [外部から開く時] のオプションを追加
- [重ねて表示]、[上下に並べて表示]、[左右に並べて表示] を仮想デスクトップに対応させた
- Windows Vista 以降で [ウィンドウ] の [上下に並べて表示]、[左右に並べて表示] に隙間があったのを修正
- [ウィンドウ] メニューに [新しい上下グループ]、[新しい左右グループ] コマンドを追加
- [すべて保存して閉じる (現在のデスクトップのみ)]、[すべて閉じる (現在のデスクトップのみ)] コマンドを追加
- [Zen モード] の文字数カウントの書式を修正
- メモ帳の置き換え (/z) の引数に相対パスを渡したときの挙動を修正
- Windows 7 でトレイアイコンをダブルクリックしたときにウィンドウが前面に来ない問題の対策
- 既にウィンドウが存在する場合はウィンドウの位置を復元しないようにした
- その他、細かい修正

## 3.3.6 (2022-04-15)

- カスタム バーにフォーカスがあるときに [新規作成]、[開く]、[閉じて開く]、[上書き保存]、[名前を付けて保存] は本体側のショートカットキーを優先するようにした
- カスタム バーが表示されるときに幅または高さがエディター部分の 4 分の 3 を超えていたら縮めるようにした
- DirectWrite の OpenType 機能を使えるようにしてみた
- プラグインの Editor_SetCaretPos メソッドにスクロール位置を指定できるフラグを追加
- [オプション] ダイアログで直前に開いていたページを保持するようにした
- [IME を開く] コマンドを追加
- その他、細かい修正

## 3.3.5 (2022-03-03)

- [読み直し] を実行したときに特定の条件下でタブの [*] が消えなかったのを修正
- [読み直し] を実行したときに [書き換え禁止] の状態を更新するようにした
- 強調文字列に同じ単語が異なる色で複数登録されているときに色番号の小さいものを優先するようにした
- 起動時に Editor_ToolBarOpen と Editor_ToolBarShow が呼び出されたときに Editor_ToolBarShow を遅延実行するようにした
- DirectWrite を有効にした状態で [オプション] ダイアログをディスプレイの外に移動したときに描画のサンプルが消えるのを修正
- アウトライン プラグインのツリーでキー入力が効かなくなっていたのを修正
- [フォントの設定] ダイアログで何も選択しなくても [OK] ボタンがクリックできていたのを修正
- ルーラーの背景色を変更できるようにした
- [表示] ページに [偶数行] の項目を追加
- [カーソルのある行] の [文字色] で行番号の文字色を変更していたのを廃止。カーソルのある行の文字色を変更するようにした
- それにともない [表示] ページに [行番号 (選択行)] の項目を追加
- 背景に画像が設定されていない場合は [カーソルのある行] の [背景色] を半透明描画しないようにした ([偶数行] も同様)
- 結合文字と絵文字を Unicode 14.0 に更新 (Emoji 14.0 は DirectWrite が対応している絵文字のみ)
- [選択した範囲のみ] で置換したときに特定の条件下で鬼雲がフリーズする問題の対策
- HSP の編集モードを 3.6 対応版に更新
- その他、細かい修正

## 3.3.4 (2022-01-06)

- 新規作成で保存したときにもファイルの変更をチェックするようにした
- Ver 3.3.2 の「プラグイン イベントの発生タイミングを修正」を部分的にロールバック

## 3.3.3 (2022-01-05)

- アウトライン プラグインでマウスを使ってツリーを操作したあとにマウスでタブをつかんでツリーの上を通過するとエラー (Runtime error 231) が発生する問題を修正
- 検索ダイアログでの Shift + Enter で [前を検索] するようにした

## 3.3.2 (2021-12-24)

- [日付と時刻] の書式に [地域と言語] の [短い形式] が反映されなかった Delphi の不具合への対策
- Windows 10 の [文字を大きくする] でステータス バーの文字がはみ出てしまう問題へのさらなる対策
- プラグインの Editor_ViewToLogical メソッドで表示座標と論理座標が逆になっていたのを修正
- プラグインの Editor_LogicalToSerial メソッドが誤った値を返すことがあったのを修正
- ファイルが外部で変更されたときに書き込みを禁止できるようにした
- 編集モードの [強調文字列] の優先順位をドラッグ アンド ドロップで変更できるようにした
- [編集モードの設定]、[マクロのカスタマイズ]、[プラグインの設定]、[外部ツールの設定]、[ポップアップ メニューの設定]、[フォールバックフォント] の項目をドラッグ アンド ドロップで移動できるようにした
- [編集モード] に [Markdown] を追加
- [テーマ] に [Windows Dark] を追加
- Ver 3.2.9 の [対応する括弧を強調する] がオンの場合は常に括弧の部分で描画を分ける仕様を廃止
- [オプション] ダイアログのサイズがディスプレイのサイズを超える場合にスクロール バーを表示するようにした
- プラグイン イベントの発生タイミングを修正
- クールバーのサイズが正しく保存・復元されないことがあった問題の対策
- プラグイン メソッドに Editor_AddUndo、Editor_BeginUndoGroup、Editor_EndUndoGroup、Editor_RunMacro、Editor_GetMultiSel、Editor_SetMultiSel を追加
- マクロ メソッドの GetLine と GetLines で引数を省略した場合に論理座標を返すように修正
- [次のペイン]、[前のペイン]、[アクティブなペイン] をセカンダリショートカットに対応
- [自動保存フォルダーに保存する] がオンの場合は [ファイル] メニューの [自動保存] を非表示にした
- [自動保存フォルダー] が空の場合は Mery.ini と同じ場所の "AutoSave" フォルダーに "AutoSave-ファイル名" の形式で保存、[上書き保存] 時に削除するようにした
- Home キーまたは End キーを 2 回押しで論理行の行頭または行末に移動できるようにした
- [アウトライン] プラグインの位置の初期値を [左] に変更
- 鬼雲の USE_MATCH_RANGE_MUST_BE_INSIDE_OF_SPECIFIED_RANGE をオフにした
- 鬼車を USE_MATCH_RANGE_MUST_BE_INSIDE_OF_SPECIFIED_RANGE をオフにした仕様に修正
- ダークモードでチェックボックスが無効のときに文字色を暗くした
- ラベルが無効のときに文字色を薄くした
- その他、細かい修正

## 3.3.1 (2021-10-02)

- 等幅半角字形に対応
- ダークモードでクールバーのシェブロンの背景色がおかしかったのを修正
- Windows 10 の [文字を大きくする] でステータス バーの文字がはみ出てしまう問題への対策
- Windows XP で [変換中の文字列を挿入モードで入力] がオンの場合に下線が表示されなくなることがある問題を修正
- その他、細かい修正

## 3.3.0 (2021-09-17)

- Windows 11 のための修正 (Windows 11 Pro 21H2 22000.132、22000.176 で確認)
- フォント関連の処理を全体的に作り直した
- タイ語、ラオ語、カンナダ語対応のため結合文字の処理を作り直した
- U+02E5、U+02E9 の組み合わせに対応
- [文字間] の設定をピクセル単位から 10 分の 1 文字単位に仕様変更
- 印刷ダイアログから [文字間] を設定できるようにした
- 印刷ダイアログの [行間] を 10 分の 1 行単位に仕様変更
- [強調文字列] の設定と [マーカー] の設定の一覧で色番号の部分を右クリックで数値を減らせるようにした
- [外部ツールの設定] ダイアログの設定値の表示項目でアンパサンドがアクセラレータキーとして表示されていたのを修正
- DirectWrite 有効時、背景画像を設定していると特定の条件下で行番号の部分の背景が再描画されないことがあったのを修正
- [ファイルへ移動] でカーソルのある行が中央付近になるようにした
- Tidy を 5.8.0 に更新
- [オプション] の [DirectWrite] に [合字を有効にする] を追加
- ダークモードで Microsoft の Fluent UI System Icons を実装
- [常に最上位] がオンの状態でモーダルなウィンドウが表示された場合に一時的に [常に最上位] を解除するようにした
- テーマ無効時のタブの閉じるボタンの位置を修正
- サードパーティ製コンポーネントのライセンスを付属の ThirdPartyNotices.txt ファイルに記載するようにした
- クリップボード履歴に行テキスト、矩形テキストの形式を含めるようにした
- マクロの ClipboardData オブジェクトでクリップボードの形式を指定できるようにした。従来の GetData、SetData も使用できますが Deprecated (非推奨) となります
- その他、細かい修正

## 3.2.9 (2021-06-04)

- U+0E33 と U+0EB3 対応のため結合文字の処理を作り直した
- document.Name プロパティで [無題] のタブの場合にタブの名前を取得できるようにした
- [対応する括弧を強調する] がオンの場合は常に括弧の部分で描画を分けるようにした
- Tidy を 5.7.28 に更新
- その他、細かい修正

## 3.2.8 (2021-05-22)

- 鬼車を 6.9.7.1 に更新
- [変換中の文字列を挿入モードで入力] がオンの場合に ATOK および以前のバージョンの IME で変換されていない範囲の背景色が描画されなかった問題を修正
- [変換中の文字列を挿入モードで入力] がオンで日本語を入力中の文字列の色分けが [マーカー] や [検索した文字列] に横取りされていたのを修正
- [変換中の文字列を挿入モードで入力] がオンで GDI 描画のときに変換文字列の下線の点線の描画ロジックを変更
- アウトラインツリーのチラつき防止対策と再描画抑制の仕組みを作り直した
- [検索] などでスクロールしたときにカーソルのある行が中央付近になるようにしてみた (試験的なので問題があればロールバックします)
- その他、細かい修正

## 3.2.7 (2021-05-10)

- マクロの #icondark でダークモード用のアイコンを指定しているときに [オプション] から [外観モード] を変更しても反映されなかった問題を修正
- [ファイルから検索] を少しだけ高速化
- 外部でファイルが変更されたときに表示されるダイアログで [いいえ] をクリックしたときに [読み直し] を実行するまではファイルのチェックを無効にするようにした
- AutoHotkey が Ctrl を送信してくる問題の対策
- 文字を入力するたびにアウトラインがチラついていたのを修正
- アプリケーション終了中に新規で Mery を起動するとフリーズすることがあった問題を修正
- アプリケーション終了時、[元に戻す情報] の保存に時間がかかる場合は [進行状況] ダイアログを表示するようにした
- トレイアイコンから [終了] を選択した場合にもワークスペースを保存するようにした
- ワークスペースに折り返しの設定を含めるようにした
- [自動保存フォルダー] と [バックアップフォルダー] で相対パスを指定したときの動作を修正
- Windows Server 2019 の Terminal Server で IME による日本語入力ができない問題の対策で /TSAWARE オプションを付けるようにした
- その他、細かい修正

## 3.2.6 (2021-04-20)

- [選択範囲を行に分ける] でシステムキャレットが見えてしまっていたのを修正
- DirectWrite 有効時に [オプション] の [表示] の [表示項目] の中の [選択範囲] で [透明] を選択した場合のサンプルの描画を修正
- ダークモードで [タブの幅を調節する] をオンにした場合にタブのキャプションの先頭がはみ出していたのを改善
- ダークモードでプラグインバーのツールボタンのオン状態の色を修正
- タブをクリックしたときのクリックとドラッグの判定の精度を改善
- 一部のダイアログボックスで MB_ICONQUESTION が使用されていたのを廃止
- マクロに以下のメソッドを追加
	- editor.ReadSettings(): Mery.ini から設定を読み込み、Mery の画面を更新します
	- editor.ReadSettingInteger(Section, Ident, Default): Mery.ini から値を読み込みます。Section は取得するキーのあるセクション、Ident は値を取得するキーを指定します。Default はセクションまたはキーが存在しないか、値が空の場合に返される数値を指定します
	- editor.ReadSettingString(Section, Ident, Default): Mery.ini から値を読み込みます。Section は取得するキーのあるセクション、Ident は値を取得するキーを指定します。Default はセクションまたはキーが存在しないか、値が空の場合に返される文字列を指定します
	- editor.WriteSettings(): 現在の Mery の設定を Mery.ini に書き込みます
	- editor.WriteSettingInteger(Section, Ident, Value): Mery.ini に値を書き込みます。Section は設定するキーのあるセクション、Ident は値を設定するキーを指定します。Value は設定する数値を指定します
	- editor.WriteSettingString(Section, Ident, Value): Mery.ini に値を書き込みます。Section は設定するキーのあるセクション、Ident は値を設定するキーを指定します。Value は設定する文字列を指定します
- その他、細かい修正

## 3.2.5 (2021-01-09)

- exe ファイルの著作権情報を更新
- 編集モードの構文解析でヌルポが発生する可能性があった箇所を修正
- その他、細かい修正

## 3.2.4 (2021-01-07)

- 最大化の状態で起動したときのチラつきを軽減
- ウィンドウ分割におけるカーソル位置の同期を改善
- [オプション] の [タブとウィンドウ] に [書き換え禁止アイコンを表示する] を追加
- その他、細かい修正

## 3.2.3 (2020-12-27)

- Windows 10 20H2 の IME で [変換] キーを押したときに IME の動作がおかしくなることがある問題の対策
- アウトライン プラグインの [Alt + Up/Down で前/次のノードへ移動する] の仕様を見直した

## 3.2.2 (2020-12-24)

- 鬼車を 6.9.6 に更新
- Hunspell を 1.7.0 に更新
- Ver 3.0.0 以降、[次の文字列を検索] と [前の文字列を検索] のショートカットキーの初期値が消えていたのを修正
- DirectWrite で等幅フォントの幅がずれる対策が適用されていないケースがあったのを修正
- ダークモードでクールバーのシェブロンを表示できるようにした
- ダークモードでアクセントカラーを変更したときのチラつきを軽減
- ダークモードで単語補完ウィンドウを表示したときにリストの背景色が黒くなる問題を修正
- マクロの #icondark でダークモード用のアイコンを指定できるようにした
- マクロの document.selection.DestructiveInsert の動作を改善
- 矩形選択で選択範囲をドラッグ アンド ドロップできるようにした
- 折り返し位置が変更されたときにスクロール バーの位置をなるべく保持するようにした
- [保存する前に改行文字の前にある空白文字を削除] と [保存する前にファイルが改行で終了するようにする] でスクロール位置をなるべく保持するようにした
- [変換中の文字列を挿入モードで入力] 有効時にオプションダイアログをキャンセルした後の最初の入力が確定される問題を修正
- アウトライン プラグインの設定に [Alt + Up/Down で前/次のノードへ移動する] を追加
	- 本体側にフォーカスがあるときに Alt + Up/Down でアウトラインの前/次のノードに移動できるようになります
	- Alt + 方向キーは本体側でフリーカーソルモードに割り当てられているのでご注意ください
- 折り返しを挟んだ場合の末尾で [→] キーを押したときと、先頭で [←] キーを押したときの仕様を変更してみた (試験的)
	- 折り返しを挟んだ末尾で [→] キーを押したときは次の行の先頭を 1 文字飛ばします
	- 折り返しを挟んだ先頭で [←] キーを押したときは前の行の末尾を 1 文字飛ばします
- Windows 10 20H1 以降のテキストカーソルインジケーターに対応 (試験的)
- その他、細かい修正

## 3.2.1 (2020-11-02)

- ダークモードでウィンドウ分割時にペインを行き来すると画面の右端がチラつくことがあったのを修正
- Per-Monitor DPI 対応の仕組みを作り直した
- Windows 10 1809 の特定のビルド (17763.720 ～ 17763.1554) でダークモードのタイトルバーが黒くならない問題の対策
- ダークモードに変更した直後、Mery を再起動するまでステータス バーの内容が更新されなくなる問題を修正
- トゥルーインライン入力で入力時の装飾を波線から破線に変更 (お作法的に通常のインライン入力が波線、トゥルーインライン入力が破線っぽい)
- DirectWrite で合字に対応 (試験的)
- その他、細かい修正

## 3.2.0 (2020-10-26)

- 鬼車を使った逆方向検索の実装方法を変更してみた
- ついでに鬼雲を使った逆方向検索の実装方法も変更してみた (本来の性能を発揮できるようになるはず)
- Per-Monitor DPI でディスプレイ間を移動させたときに、特定の条件下でリストビューの表示がおかしくなる問題の対策
	- DPI が変わる直前に ListView_Update(Handle, -1) を投げてやると改善されたが、理由は不明。Windows のバージョンによっては再発の可能性あり
- ATOK で全角スペースをキーリピートで入力したときに画面に反映されるのが遅延する問題の対策
- 前回の「その他、細かい修正」で ATOK の状態を示す小窓の位置がカーソルに追従しなくなっていたのでロールバック
- 選択範囲をドラッグしたときに表示される禁止マークの出現条件を調整
- タブのドラッグ アンド ドロップで、タブの [X] ボタンの上にドロップしたときにも動作するようにした
- ウィンドウ分割で選択範囲がないときもカーソル位置を同期するようにしてみた
- ダークモードに対応してみた (試験的)
- [オプション] から [鬼車を使用する] を設定できるようにしてみた (試験的)
	- [バージョン情報] のコピーライト表示の末尾に [*] 印がついているものが現在有効になっている正規表現ライブラリです
- タブのアイコンを Per-Monitor DPI に対応させた
- ツール バーなどのヒントを Per-Monitor DPI に対応させた
- 縦書きで DirectWrite オフのときの絵文字の文字間を修正
- 印刷で接合された絵文字に対応 (カラー絵文字じゃないよ)
- テーマのリソースを merycfg.dll に分離した
- それにともないすべてのテーマを微調整した
- その他、細かい修正

## 3.1.0 (2020-09-16)

- マーカーの設定ダイアログの色選択コンボ ボックスの高さをある程度フォントに追従するようにしてみた
- ListView と TreeView のチェックボックス、ラジオボタンを Per-Monitor DPI に対応させた
- [起動時にウィンドウの位置とサイズを復元する] で [位置] と [サイズ] を個別に設定できるようにした。チェックをオフにした場合は前回終了時の位置、サイズを復元します
- 禁則処理で行頭に半角スペースが来るのをもっと防ぐようにしてみた
- [右の文書]、[左の文書] コマンドを追加
- ブックマークが削除される条件を調整してみた
- マクロの QueryStatusByID でチェック状態も取得できるようにした
- メニューの項目がメニューボタンに重ならないようにした
- 新規ファイルで内容が空っぽのときは閉じるときに確認ダイアログを表示しないようにした
- [起動時にウィンドウの位置とサイズを復元する] では最大化状態を復元しないようにした ([タブ有効時にウィンドウの位置とサイズを保存、復元する] は最大化状態も復元します)
- DirectWrite の描画の仕組みを変更
- DirectWrite で等幅フォントの幅がずれる場合にある程度補正するようにしてみた
- TrueType フォントの高さの取得元を TextMetric から OutlineTextmetric に変更
- 背景を設定しているときにウィンドウ分割で速度が低下していたのを改善
- 矩形選択で折り返しを変更したときになるべく選択範囲を維持するようにした
- ウィンドウを分割したときにそれぞれのエディターでカーソル位置と選択範囲を保持できるようにした
- ウィンドウを分割しているときに変更行の保存が別窓に反映されなかった問題を修正
- ウィンドウを分割しているときに別窓にフォーカスがある状態で別窓を閉じるとエラーが発生していたのを修正
- [表示] メニューからの折り返し方法の変更と、ルーラーのドラッグによる折り返し位置の変更を文書単位にした
- マクロに document.MaxLineLength プロパティを追加
- プラグインの Editor_Info に MI_GET_MAX_LINE_LENGTH、MI_SET_MAX_LINE_LENGTH を追加
- EditorConfig の max_line_length に対応
- [変換中の文字列を挿入モードで入力] で禁則処理と組み合わせたときの動作を修正
- 鬼車に暫定対応
- その他、細かい修正

## 3.0.4 (2020-06-23)

- [ファイルから検索] で [検索するフォルダー] に | が含まれるときにステータス バーに文字が表示されていたのを修正
- [大きいフォント サイズ]、[小さいフォント サイズ] でステータス バーにフォント サイズを表示するようにした
- DirectWrite 有効で画面の DPI が 100% より大きいときに絵文字がずれることがあった問題を修正
- マクロの ScrollY プロパティとプラグインの Editor_SetScrollPos、Editor_GetScrollPos メソッドにスクロールマージンを含めないようにした。オーバースクロールやタイプライター スクロールでもスクロール位置の保存、復元ができるようになりますが、副作用でアウトライン プラグインにおけるジャンプ先はスクロールマージンが含まれない位置となります
- 選択範囲がある場合の [単語の削除] で選択終了位置を基準にするようにした
- 選択範囲がある場合の単語選択で選択終了位置を基準にするようにした
- 選択範囲がある場合の DuplicateLine の後のカーソル位置を選択終了位置を基準にするようにした
- マクロの LineEnding プロパティを変更したときに変更マーク (*) を付けるようにした
- マーカーバーのボタンをクリックしたときにマーカーの文字列で検索ハイライトをつけるようにした
- 禁則処理で行頭に半角スペースが来るのをなるべく防ぐようにしてみた
- オプションに [タブとウィンドウ] カテゴリを追加
	- [タブを閉じた時]: タブを閉じた時にアクティブにするタブを設定します
	- [閉じるボタン]: 閉じるボタンの表示方法を設定します。従来どおりですが [基本] カテゴリから移動しました
	- [タブにアイコンを表示する]: タブにアイコンを表示するかどうかを設定します
	- [タブを複数行にする]: タブの数が増えたときに右端で折り返して複数行で表示します。従来どおりですが [基本] カテゴリから移動しました
	- [タブの幅を調節する]: タブの幅を設定します。0 を入力するとファイル名が長い場合に省略して自動調整、0 より大きい値を入力すると固定幅となります。従来どおりですが [基本] カテゴリから移動しました
	- [タブ有効時にウィンドウの位置とサイズを保存、復元する]: タブが有効になっている場合に終了時のウィンドウの位置とサイズを保存、復元します。タブが無効 (SDI モード) の場合は Windows のデフォルトを使用します
	- [起動時にウィンドウの位置とサイズを復元する]: タブの有効・無効にかかわらず起動時にウィンドウの位置とサイズを指定した位置に復元します。従来のバージョンとの互換性維持のため、上記のオプションよりもこちらが優先されます。[...] ボタンから座標を入力できます (従来は 0 を入力した項目は終了時の座標を保存、復元していましたが、座標として 0 を使用することができなかったため、すべて 0 の場合のみ終了時の座標を保存、復元するよう仕様変更しました)
	- [次の文書コマンドで最後に使用した文書を表示する]: [次の文書] コマンド (初期設定では Ctrl + Tab) で最後に使用した文書を表示します。オフの場合はタブの順番どおりに表示します
	- [常に最上位の状態を保存する]: 従来どおりですが [基本] カテゴリから移動しました

## 3.0.3 (2020-04-05)

- マルチカーソルで削除したときに折り返しを超えることがあったのを修正
- マクロの BeginUndoGroup が途中で解除されてしまうことがあったのを修正

## 3.0.2 (2020-03-28)

- IME 有効/無効でキャレットの色を変更できる機能を標準機能にした
- 色選択ダイアログで未作成の色に対して数値が反映されない現象の対策をしてみた
- 行コピーの形式を VisualStudioEditorOperationsLineCutCopyClipboardTag に対応
- それに伴い、行貼り付けの動作を Visual Studio 2019 の動作に合わせた
- DuplicateLine の後のカーソル位置を行コピー貼り付けの動作に合わせた
- 1 行だけ行コピーした状態で複数選択して貼り付けたときにエラーが出ていたのを修正
- IME から入力したときに上書きモードが動作しなかったのを修正
- その他、細かい修正

## 3.0.1 (2020-03-22)

- [文字色]、[背景色] の色選択ダイアログで数値項目に入力した値が反映されないことがあった問題を修正
- [保存する前に改行文字の前にある空白文字を削除] と [保存する前にファイルが改行で終了するようにする] で [元に戻す] 情報をなるべく保持するようにした
- [変換中の文字列を挿入モードで入力] における前後フィードバックの精度を改善
- 高速化のため再描画を抑制していたのを廃止
- [すべて検索] で Migemo を使えるようにした
- 複数選択で隣り合った選択範囲を結合しないようにした
- [マクロ] の [記録/停止] で [すべて検索] を記録/実行できるようにした
- [マクロ] の [記録/停止] で [すべて置換] の [選択範囲の先頭を行頭とみなさない] と [選択範囲の終端を行末とみなさない] を記録できるようにした
- マクロの 0 行目で発生したスクリプトエラーがキャッチできなかったのを修正
- マクロの document.selection.Mode で画面を再描画するようにした
- マクロで "型が一致しません" エラーをキャッチするようにした
- マクロの Find、Replace、FindInFiles、ReplaceInFiles に検索ダイアログの文字列、オプション項目を保持できるフラグ meFindKeepOptions を追加
- マクロの Replace にフラグ meFindNotBOL (選択範囲の先頭を行頭とみなさない)、meFindNotEOL (選択範囲の終端を行末とみなさない) を追加
- マクロの以下のメソッドに省略可能な引数を追加
	- document.selection.GetActivePointX(Flags [, Sel = -1]): Sel は複数選択の 0 から始まるインデックスを指定します。省略した場合は従来どおりです
	- document.selection.GetActivePointY(Flags [, Sel = -1])
	- document.selection.GetActivePos([Sel = -1])
	- document.selection.GetAnchorPointX(Flags [, Sel = -1])
	- document.selection.GetAnchorPointY(Flags [, Sel = -1])
	- document.selection.GetAnchorPos([Sel = -1])
- マクロに以下のメソッドを追加
	- document.selection.AddPoint(Flags, StartX StartY, [, EndX = 0, EndY = 0]): StartX、StartY は選択開始位置、EndX、EndY は選択終了位置を指定して複数選択を追加します
	- document.selection.AddPos(StartPos [, EndPos = -1]): StartPos は選択開始位置、EndPos は選択終了位置を指定して複数選択を追加します
	- document.selection.Clear(): 複数選択と選択範囲をすべてクリアします
	- window.AddUndo(): [元に戻す] のデータに現在の選択範囲を追加します
- マクロに以下のプロパティを追加
	- document.selection.TextLength: 選択範囲の文字数を取得します
	- document.TextLength: テキストの文字数を取得します
- IME 有効/無効でキャレットを変更できる隠しオプションを追加。Mery.ini の [Display] セクションに以下の項目を追記します。それぞれ、項目を省略した場合は標準の値が使用されます
	- CaretColor=#00FF00: IME 無効時のキャレットの色を HTML カラーまたは HSL カラーで指定します
	- CaretWidth=0: IME 無効時のキャレットの幅を 0 より大きい値で指定します。0 以下の値を指定すると標準の幅、最大値を超える場合はフォントの平均幅となります
	- CaretHeight=0: IME 無効時のキャレットの高さの比率を -100 から 100 の間の 0 ではない値で指定します。0 を指定すると標準の高さ、最大値を超える場合はフォントの高さ、正の数を指定すると下から表示、負の数を指定すると上から表示となります
	- ImeCaretColor=#FF0000: IME 有効時のキャレットの色を指定します。省略した場合は CaretColor ではなく標準のキャレットの色が使用されます
	- ImeCaretWidth=0: IME 有効時のキャレットの幅を指定します。省略した場合は CaretWidth ではなく標準のキャレットの幅が使用されます
	- ImeCaretHeight=0: IME 有効時のキャレットの高さを指定します。省略した場合は CaretHeight ではなく標準のキャレットの高さが使用されます

## 3.0.0 (2020-03-14)

- マルチカーソルを実装
- 矩形選択における文字の入力/削除を各行に対して操作できるようにした
- キャレットの幅を Per-Monitor DPI に対応させた
- Zen モード切替時にマクロの PopupMenu.Track のメニューが消える問題を修正
- [選択した範囲のみ] の正規表現置換で [選択範囲の先頭を行頭とみなさない] と [選択範囲の終端を行末とみなさない] のオプションを追加
- [変更行を強調表示] で行が折り返されているときの挙動を修正
- トレイアイコンを右ダブルクリックで新しいウィンドウで新規作成するようにした
- オプションの [スクロール] カテゴリに [タイプライター スクロールを有効にする] を追加
- コマンドラインオプション /fd と /rd で [ファイルの種類] も渡せるようにした。例) Mery.exe /fd "C:\Mery\*.txt"
- マクロの Window、Editor、Document オブジェクトに Tag プロパティを追加
- マクロの SetAnchorPoint、SetAnchorPos の挙動がおかしかったのを修正
- スクロール バーのサイズを Windows 側の設定に合わせるようにした
- [大文字に変換] のショートカットキーを Shift+Ctrl+U に変更。Ctrl+U は [選択範囲を元に戻す] に割り当てた (アップデートの場合はショートカットキーが重複する可能性あり。必要に応じてどちらかのショートカットキーを変更してください)
- DirectWrite 有効での動作速度を高速化
- 日本語入力の [元に戻す] を文字単位から入力単位にした (従来の文字単位は、隠しオプション [General] UndoCharByChar=1 で対応)
- [上書] モードのキャレット幅を文字幅に合わせるようにした
- ルーラーのサイズを Per-Monitor DPI に対応させた
- [元に戻す] で変更していない状態まで戻したときに変更マーク (*) を消すようにした
- その他、細かい修正

## 2.8.8 (2019-12-24)

- [保存する前に改行文字の前にある空白文字を削除] と [保存する前にファイルが改行で終了するようにする] で変更行をなるべく保持するようにしてみた
- [保存する前にファイルが改行で終了するようにする] の挙動を修正
- スクロール バーの右端あたりをダブルクリックしたときに新しいタブが作成されていたのを修正
- インストーラーを管理者権限で実行しないときのインストール先を C:\Users\UserName\AppData\Local\Programs\Mery に変更
- 項目名などを "Microsoft スタイル ガイド" になるべく合わせた
- リードミーを README.txt、変更ログを CHANGELOG.txt にした
- その他、細かい修正

## 2.8.7 (2019-11-20)

- タブの閉じるボタンを [ウィンドウの右端] にした状態でアウトラインのサイズを変更したときにエディター側がリサイズされない問題を修正
- アウトラインでノードをダブルクリックしたときに展開/縮小しないようにした
- アウトラインの解析速度を少し高速化
- ファイルから置換で正規表現のファイルの先頭(\A)にヒットしなかったのを修正
- タブの右クリックメニューに [新しいウィンドウに移動] を追加
- 引用付き貼り付けで最終行が 1 文字だけの場合に正常に貼り付かない問題を修正
- タブの桁数の最大値を 255 までいけるようにした
- 無題のファイルでステータス バーから書き換え禁止が動作しなかったのを修正
- マウスホイールクリックでタブを閉じたときにアクティブな文書にフォーカスを戻すようにした
- クリップボードのアクセスエラー発生時に 3 回までリトライするようにした
- 引用マークの初期値を "> " にした
- プラグイン メソッドの Editor_Info に以下のコマンドを追加。これらはオプションで設定した項目をエディターごとに個別の設定でオーバーライドするための機能です。オプションの項目の設定内容とは一致しません
	- MI_GET_INDENT_STYLE: [タブの代わりに空白を挿入] の有効/無効を取得
	- MI_SET_INDENT_STYLE: [タブの代わりに空白を挿入] の有効/無効を設定
	- MI_GET_INDENT_SIZE: [タブの桁数] を取得
	- MI_SET_INDENT_SIZE: [タブの桁数] を設定
	- MI_GET_TRIM_TRAILING_WHITESPACE: [保存する前に改行文字の前にある空白文字を削除] の有効/無効を取得
	- MI_SET_TRIM_TRAILING_WHITESPACE: [保存する前に改行文字の前にある空白文字を削除] の有効/無効を設定
	- MI_GET_INSERT_FINAL_NEWLINE: [保存する前にファイルが改行で終了するようにする] の有効/無効を取得
	- MI_SET_INSERT_FINAL_NEWLINE: [保存する前にファイルが改行で終了するようにする] の有効/無効を設定
- その他、細かい修正

## 2.8.6 (2019-08-31)

- 折り返しのある行におけるブックマーク機能の挙動を改善
- マクロの OutputBar.Visible プロパティを True にしたときにアウトプットバーにフォーカスを移動しないようにした
- マクロの OutputBar.Visible でアウトプットバーの表示/非表示を切り替えた後にエディター側のアウトプットバー切り替えのショートカットキーの 1 度目が効かない問題の対策
- 最大化から最小化した後の復元時にチラつきが発生する問題の対策
- オーバースクロールの初期値を [なし] に戻した
- その他、細かい修正

## 2.8.5 (2019-08-12)

- [フォントの設定] と [オプション] の [DirectWrite] の項目の表示サンプルに文字色を背景色を反映するようにした
- 最大化した状態で最小化から復元するときに一部の環境で黒いチラつきが発生することがあった問題の対策
- [ファイルから検索] で [検索するフォルダー] を "|" で複数指定する機能で "|" のあとにフォルダーを指定しなかった場合の挙動を修正
- マクロの FindInFiles と ReplaceInFiles で meFindReplaceOnlyWord フラグが動作していなかったのを修正
- その他、細かい修正

## 2.8.4 (2019-08-04)

- [検索]、[置換] ダイアログでインクリメンタルサーチがオンの状態で [大文字小文字を区別する]、[正規表現を使用する]、[単語のみ検索する]、[Migemo を使用する] のチェックを切り替えたときに自動で検索を実行するようにした
- Migemo の辞書ファイルのパスに非 ASCII 文字が含まれているときに辞書ファイルの読み込みに失敗する問題の対策 (辞書ファイルのパスをショートファイル名に変換して渡すようにしてみた)
- [開く] ダイアログが表示されている場合などエディターウィンドウが無効の状態でファイルを開いたときに正常に動作しなくなることがある問題の対策 (ウィンドウが無効のときは別ウィンドウで開くようにした)
- その他、細かい修正

## 2.8.3 (2019-07-31)

- Migemo に対応 (別途 C/Migemo 1.3 の migemo.dll が必要)
- アウトライン プラグインでスレッド処理中に本体側を終了するとエラーが発生することがあったのを修正
- [次の文字列を検索]、[前の文字列を検索] で [正規表現を使用する] のチェック状態を保持するようにした
- その他、細かい修正

## 2.8.2 (2019-07-17)

- 右クリックメニューにクリップボード履歴を登録したときの挙動を修正

## 2.8.1 (2019-07-15)

- 分離されたタブをウィンドウに統合したときにタブの順番が変わってしまうことがあった問題を修正
- 選択範囲をドラッグしたときのスクロール関連の不具合を修正
- プラグイン イベント EVENT_TOOL_BAR_CHANGED を追加
- プラグインの TToolBarInfo に iIndex、bBreak、iWidth を追加
- マーカーの折り返しのときの解析範囲を 80 文字から 240 文字に変更
- Delphi XE 向けのソースコードを除去
- その他、細かい修正

## 2.8.0 (2019-06-21)

- 32 ビット版の開発環境を Delphi XE2 に移行した
- タブを切り替えたときにアウトラインの [文字サイズ] が戻っていたのを修正
- ツール バーのカスタマイズやオプションのキーボード割り当ての画面でマクロの title が空のときにファイル名を使用するようにした
- [表示] の [ツール バー] に [マクロのラベルを表示] 項目を追加
- 選択範囲の中で Shift+左クリックしたときに引き続き選択範囲を変更できるようにした
- [ファイルから置換] でファイルの先頭のみにヒットした場合にファイルが保存されなかった問題を修正
- Alt + Tab からアプリケーションをクリックしたときにメニューがアクティブになる対策をしてみた (仮想キーコード 0xFF を送信する隠し機能です)

```
[General]
AltTabFix=1
```

- 正規表現の "$" を選択範囲の最後に一致させないオプションを追加

```
[Search]
OnigOptionNotEOL=1
```

- セパレータを設定するマクロの指令 #begingroup を追加
	- #begingroup = true: マクロメニューの項目の手前に区切り記号を挿入し、マクロバーの項目の手前にセパレータを挿入します
	- #begingroup = 1: 上記と同様です
	- #begingroup = 2: マクロメニューの項目の手前に区切り記号を挿入します
	- #begingroup = 3: マクロバーの項目の手前にセパレータを挿入します

## 2.7.8 (2019-06-11)

- マクロで #title="" のときにメニューにファイル名を使用するようにした
- マクロバーのマクロがすべて #title="" のときにボタンで表示するようにした
- プラグインの Editor_GetLine メソッドやマクロの GetLine メソッドがフォント サイズを変更した直後に誤った値を返していた問題を修正

## 2.7.7 (2019-06-04)

- 特定の条件下における [変換中の文字列を挿入モードで入力] のエラーを修正
- ウィンドウ分割でフォーカスのあるエディターの描画を優先するようにした
- オプション画面の [ClearType レベル] のアクセラレータキーの設定漏れを修正

## 2.7.6 (2019-05-28)

- オプション画面のページのリストを TListView から TTreeView に変更した
- オプション画面のページを Ctrl+Tab、Shift+Ctrl+Tab で移動できるようにした
- キーボード割り当てで Ctrl+Tab、Shift+Ctrl+Tab を割り当てられるようにした
- [ファイルから検索] で [検索するフォルダー] を "|" で複数指定できるようにした
- DirectWrite オンの時にウィンドウ分割で動作が遅くなっていた問題を改善
- フォントの設定画面でアクティブなフォントを先頭に持ってくる仕様を廃止
- フォントの設定画面でフォント一覧のスクロールの挙動を修正
- マクロの HighlightFind がウィンドウ分割時に反映されなかったのを修正
- マクロ機能の縦書きモード対応を進めた
- マクロの FindInFiles、ReplaceInFiles で終了待ちするようにした
- [すべて置換] のときにスクロール バー マーカーが更新されなかったのを修正
- [次のブックマーク] で文末まで行ったら文頭に移動するようにした
- [前のブックマーク] で文頭まで行ったら文末に移動するようにした
- [他 (右/左) のタブをすべて閉じる] でプラグインにイベントが飛ぶようにした
- [他 (右/左) のタブをすべて閉じる] が動作しないことがあった問題を修正

## 2.7.5 (2019-05-19)

- スクロール バー マーカーの動作速度を高速化
- DirectWrite のフォントフォールバックに対応
- 何らかの拍子に検索ダイアログの表示が遅くなる現象の対策を少し
- DirectWrite 有効時などのスクロール速度を高速化
- 可変ピッチフォントで [大文字に変換] などを使用したときに選択範囲がずれる問題を修正 (副作用で矩形選択は解除されるようになります)
- Per-Monitor DPI でモニタ間を移動時にコンボ ボックスの補完が動作することがある問題を修正
- マクロの SetBookmark、ClearBookmark の動作を修正
- 他のタブをすべて閉じる、左のタブをすべて閉じる、右のタブをすべて閉じるにキーボード割り当てできるようにした
- [書き換え禁止] をいつでもできるようにした
- 読み取り専用のファイルに [上書き保存] したときに [名前を付けて保存] の動作をするようにした
- 色選択のダイアログを開いたときにフルオープンにした
- [選択範囲の変換] でなるべくブックマークを保持するようにしてみた
- マーカーの文字色がカスタムのときは文字色を優先するようにした
- その他、細かい修正

## 2.7.4 (2019-04-18)

- ファイルを開いた直後にアウトライン プラグインの解析が走らなくなっていた問題を修正 (魔が差してファイルを開いたときにプラグインに EVENT_CHANGED を通達する処理を消しちゃったのが原因。元に戻しました)

## 2.7.3 (2019-04-17)

- ウィンドウ分割でスクロール バー マーカーが反映されなかった問題を修正
- スクロールマージン 999 で完全に中央に固定されていなかった問題を修正
- タイプライター スクロールに [固定スクロール] オプションを追加
- タイプライター スクロールのショートカットキーに Ctrl+T を割り当てた
- [置換] の第二ショートカットキーに Ctrl+H を割り当てた (上記 2 つのショートカットキーは初期値なので、すでに Mery.ini ができている場合は反映されません)

## 2.7.2 (2019-04-12)

- マクロの NextBookmark と PreviousBookmark を新しいブックマークに対応させたマクロで Chakra (jscript9.dll) における Quit メソッドをサポート外にしたヤツを既存のマクロになるべく影響を与えないように対策してみた

## 2.7.1 (2019-04-11)

- 編集モードの設定で現在の編集モードが初期値になっていなかったのを修正
- [読み直し] で読み直し前のブックマークが残っていたのを修正

## 2.7.0 (2019-04-10)

- スクロール バーのマーカー表示に対応
- 正規表現ライブラリの鬼雲を 6.2.0 に更新
- タイプライター スクロールの位置をカスタマイズできるようにした
- それに伴い文字入力時のみタイプライター スクロールが動作するようにした
- [終了時に履歴を消去する] で [カーソル位置とブックマーク] がオンの時に Mery.his を削除するようにした
- 高精度タッチパッドの横スクロールに対応
- Shift+マウスホイールで横スクロールできるようにした
- [読み直し] でブックマークが読み込まれなくなっていた問題を修正
- オプション画面のデザインを変更
- オプション画面に [スクロール] セクションを追加
- アウトラインの右クリックメニューに [文字のサイズ] を追加
- ブックマークの高速化と安定性向上のため仕様を変更 (仕様変更に伴い旧バージョンのワークスペース機能のデータの互換性は失われますが、ご了承ください。なお、旧バージョンの Mery.his の読み込みは可能です)
- Zen モードで半角スペースなどが表示されていたのを修正
- Zen モード切り替え時にチラつきを抑える対策を強化してみた
- URL のパース処理に ! も含めてみた
- Windows Classic テーマの [検索した文字列] の背景色を変更
- [変更行を強調表示] で行が折り返されているときの挙動を修正
- [水平スクロール バーを自動的に表示] のときのスクロール バーの挙動を修正
- マクロの window.Redraw メソッドで元に戻す情報をグループ化する機能を廃止
- 代わりに window.BeginUndoGroup、window.EndUndoGroup メソッドを実装
- マクロで Chakra(jscript9.dll)における Quit メソッドをサポート外にした (Chakra ではスクリプトを停止する方法が見当たらない。WScript.Quit の仕様に合わせて 0x800A01BD エラーを発生させるようにした)
- マクロの ScriptName、ScriptFullName で実行中のファイル名が返らないことがあった問題を修正
- スクロール バーのポップアップ メニューを自前で実装してみた (スクロール バーの独自描画の準備のため)
- 縦書き切り替え直後、スクロール バーが表示されないことがあったのを修正
- タイプライター スクロールの内部名を変更 (TypewriterScrolling → TypewriterScroll につき、再設定が必要です)
- 行間の最小値を -2 まで行けるようにした
- キーボードマップのソートに対応
- キーボードマップで右クリックメニューを追加
- キーボードマップのダブルクリックでキーボード割り当ての画面が開くようにした
- インストーラーを Inno Setup 5.6.1 に更新
- その他、細かい修正

## 2.6.15 (2019-02-27)

- Zen モードを追加
- ワークスペースの保存/復元機能を追加
- 半ページスクロールを標準仕様にした
- デフォルトの行間を 3 にした
- テーマを上書き保存できるようにした
- 新テーマ "Sixteen" と "Zen" を追加 (Mery.ini が既に出来ている場合はリセットしないと反映されません)
- オプション画面で OK をクリックしたときに INI ファイルの [ChildForm] セクションも更新するようにした
- ツール バーのカスタマイズでアイコンのサイズを親ウィンドウのアイコンサイズに合わせるようにした (以前の仕様に戻しました)
- マクロの window.Redraw メソッドで元に戻す情報をグループ化するようにした
- バイナリを開こうとして [キャンセル] したときにタブを開かないようにした
- プラグイン読み込み時のチェックを厳密にした。64 ビットの本体に 32 ビット用のプラグインを導入してエラー (またはその逆も) という問い合わせがあるので、そもそもプラグインの仕様に沿っていないものは読み込まないようにしました。この仕様変更により読み込めなくなったプラグインがあれば教えていただけると助かります (OnCommand、QueryStatus、GetMenuTextID、GetStatusMessageID、GetIconID、OnEvents、PluginProc のメソッドが実装されているかをチェックします)
- その他、細かい修正

## 2.6.14 (2019-01-11)

- 開くダイアログで最後に開いたフォルダーを記憶/復元する機能を廃止
- 特殊文字を入力マクロを削除
- カーソルが画面外にあるときのコンテキストメニューの位置を修正 (前回の修正では直っていませんでした)
- 印刷時のドキュメント名にファイル名を渡すようにした
- 印刷時に制御文字の改ページ ([FF]) で改ページするようにした ([FF] の入力は [文字コードの切り替え] を使用して 0C で変換できます。また [FF] の認識は行頭/行末のみの制限があります)
- 印刷プレビュー画面で↑/↓キーを使ってスクロールできるようにした
- アウトライン解析の速度を向上した
- マクロから [マクロのカスタマイズ] を呼び出せるようにした
- ゼロ幅の文字の幅をそのまま 0 で扱うようにした (最小幅 2px を廃止)
- それに伴い隠しオプションで最小幅を指定できるようにした (INI ファイルの Display セクションの以下の項目で指定できます)

## 2.6.13 (2018-11-16)

- [印刷] ダイアログで [縦書き] のアクセラレータキーが重複していたのを修正
- [印刷] 実行時に MS XPS Document Writer や Microsoft Print to PDF を使用して [キャンセル] を選んだときに画面が応答しなくなっていた問題を修正
- 編集モードのインポート時に特別な構文の項目を再描画するようにした
- オプション画面を閉じたときやフォント サイズを変更したときにもなるべくスクロール位置を保持するようにした
- [オプション] の [表示] の [サンプル] で [カーソルのある行] の背景色を半透明描画するようにした
- [検索した文字列] と [マーカー] の重ね合わせを廃止 ([検索した文字列] を優先)
- カスタムフォントをプライベート(FR_PRIVATE)にした
- [選択範囲の変換] に [文字コードの切り替え] (Alt + X) を追加
- [閉じる] のショートカットキーに Ctrl + W を追加
- Monokai テーマを作り直した
- 背景の位置に [幅に合わせる]、[サイズに合わせる]、[拡大して表示] を追加
- 編集モードのプロパティ画面の [強調文字列] と、マーカーの画面で項目編集中にスペースキーを押したときに色変更が誤作動していたのを修正
- カーソルが画面外にあるときのコンテキストメニューの位置を修正
- マクロ実行後に自動マーカーを強制的に更新するようにしてみた
- [検索] ダイアログなどでコンボ ボックスをドロップダウンさせた状態で Alt + C で内容をクリップボードにコピーできるようにした
- [メモ帳] として起動できる機能を追加してみた (レジストリの書き換えが必要です。例外的な使い方なので動作保証いたしません。自己責任でご利用ください)

**設定方法:**

コマンドプロンプトを管理者権限で起動して以下のコマンドを実行します。

```
reg add "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Image File Execution Options\notepad.exe" /v "Debugger" /t REG_SZ /d "\"%ProgramFiles%\Mery\Mery.exe\" /z" /f
```

%ProgramFiles%\Mery\Mery.exe の部分は必要に応じてインストール先のパスに書き換えてください。

**解除方法:**

コマンドプロンプトを管理者権限で起動して以下のコマンドを実行します。

```
reg delete "HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Image File Execution Options\notepad.exe" /v "Debugger" /f
```

メモ帳で使用できるコマンドラインオプションは以下の通りです。
- /a	文字コード ANSI (Mery では シフト JIS)
- /w	文字コード Unicode (Mery では UTF-16LE BOM 付き)
- /p	印刷 (Mery では未対応)
- /pt	プリンター指定印刷 (Mery では未対応)

## 2.6.12 (2018-10-13)

- PerMonitorV2 に対応 (Windows 10 Creators Update [バージョン: 1703 ビルド: 15063] 以降が必要)
- [マーカー]、[自動マーカー]、[検索した文字列]、[不正なスペル] のスタイルを下の強調表示のスタイルが透過するようにした
- Windows Vista 以上で Microsoft IME の [詳細なテキストサービス] がオフの場合のトゥルーインライン入力の動作を修正
- [ウィンドウの右端で折り返し] 設定時でウィンドウサイズが小さい場合に表示される水平スクロール バーの動作を改善
- [ウィンドウの右端で折り返し] 設定時にウィンドウサイズを変更すると水平スクロール バーがチラついていたのを修正
- テーマを変更せずに [エクスポート] したときに正常にエクスポートされない問題を修正
- エディターコンポーネントの描画速度を高速化
- プラグイン メソッドの Editor_GetScrollPos、Editor_SetScrollPos でスクロールマージンを考慮するようにした
- スクロールマージンのサイズが十分に大きいときの中央固定の動作を改善
- 編集モードのプロパティ画面の [強調文字列] と、マーカーの画面で項目を複数選択してスペースキーで色を一括変更できるようにした
- [次の変更行]、[前の変更行] のコマンドを [編集] カテゴリに追加 (メニューには表示していませんのでポップアップ メニューやショートカットに割り当てて使用します)
- 折り返し文字数の最小値を 10 までいけるようにした
- 画面上の行数が 5 行未満(ウィンドウサイズが小さいとき)のスクロールの挙動を修正
- デフォルトのフォントを [BIZ UD ゴシック] にした (Windows 10 October 2018 Update [バージョン: 1809 ビルド: 17763.1] 以降が必要)
- Mery.ini を作成できない環境でもかろうじて動くようにした (以前はツール バーやポップアップ メニューが生成されませんでした)
- 正規表現の置換を下記の通り仕様変更しました
	- [置換後の文字列] で \b に対応
	- [置換後の文字列] で $1 のエスケープ $$1 に対応
	- [置換後の文字列] で $01 ～ $99 に対応 ($1 ～ $9 も従来通り使用可能です。また、互換性維持のため \1 ～ \9 は従来通りとし、\01 のような表記には対応していません)
	- [置換後の文字列] で $& に対応 ($0 は従来通り使用可能ですが \0 は実装していません)
- その他、細かい修正

## 2.6.11 (2018-09-03)

- Zero Width Joiner (ZWJ) を使用した Emoji に対応
- ステータス バーに表示されている文字コード値をサロゲート ペアに対応させた
- DirectWrite 有効時のサロゲート ペアの文字幅の計算を改善
- 結合文字の文字幅の計算を改善
- 半角空白(U+0020)を含む結合文字を描画できるようにした (半角空白が [記号] 表示なし、背景色なしの場合のみ)
- 行間の設定をピクセル単位から 10 分の 1 行単位に仕様変更
- 縦書きで DirectWrite 有効時、行間の計算に DWRITE_FONT_METRICS の lineGap を使うようにした
- 縦書きで DirectWrite 有効時の文字幅の計算を改善
- 縦書きで DirectWrite 有効時、縦中横が切れないように改善
- 縦書きで [全画面表示] かつ [ウィンドウの右端で折り返し] かつ [ルーラー] 非表示のときに右端でマウスドラッグによるスクロールが動作しなかったのを修正
- ウィンドウ分割のときサブエディターでマクロ イベントの [スクロールしたとき] が動作していなかったのを修正
- ウィンドウ分割のときサブエディターで [ファイルから検索] の結果をダブルクリックしてもジャンプできなかったのを修正
- DirectWrite で#$007F、#$200B、#$2060 .. #$2064 の描画を修正
- DirectWrite で U+200D(ゼロ幅接合子)の描画を修正
- 編集モードの [強調文字列] に [行の右をすべて強調] を追加
- 外部ツールの [アイコン] のパスを Mery.exe からの相対パスでいけるようにした
- プラグイン メソッド Editor_GetLine の FLAG_GET_CRLF_BYTE フラグの動作を修正
- プラグイン メソッド Editor_GetLines の動作を高速化
- プラグイン イベント EVENT_CREATE の HiWord(lParam)に Application.Handle を格納していたけど桁が溢れていたので仕様変更 (EVENT_CREATE と EVENT_CLOSE のときは OnEvents の hwnd に Application.Handle を格納するようにしました)
- Per-Monitor DPI 環境下での動作を修正
- その他、ちょっとした隠し機能を追加
- その他、細かい修正
- 絵文字の描画位置を修正
- マーカーで正規表現を有効にしたときに文字色の [透明] 設定が反映されなかったのを修正

## 2.6.10 (2018-07-25)

- 検索/置換ダイアログにインクリメンタルサーチを追加
- アウトプットバーにおけるリダイレクト処理の安定性をもっと向上
- [←] 記号が [EOF] を非表示にしても表示されていたのを修正
- [ファイル] メニューの履歴でステータス バーにフルパスを表示するようにした
- 置換の進捗ダイアログを 1 秒おきに更新するようにした
- プラグイン メソッド Editor_GetText を追加
- プラグイン メソッド Editor_Info に MI_GET_ENCODE、MI_SET_ENCODE、MI_GET_LINE_ENDING、MI_SET_LINE_ENDING コマンドを追加
- マクロのプロパティ document.LineEnding (改行コードの取得/設定) を追加
- マクロのメソッド ChangeCase に meCaseCapitalize (単語の最初の文字を大文字に変換) を追加
- その他、細かい修正
- 検索でヒットしなかったときにビープ音を鳴らすのをやめた
- 置換ダイアログの [選択した範囲のみ] におけるインクリメンタルサーチを修正

## 2.6.9 (2018-07-12)

- 自動保存機能を搭載
- バックアップ機能を搭載
- 変更行の強調表示に対応
- C#、JavaScript、HSP の強調文字列、単語補完辞書を更新 (HSP3.51 相当に更新、Easy3D 廃止など)
- [EOF] (ファイルの終端)を [←] 表記に変更 ([CR と LF を区別して表示] に設定すると従来通り [EOF] 表記です)
- マクロバーに [編集] の項目を追加
- マーカーバーに [単語のみ]、[大文字小文字を区別]、[正規表現] の項目を追加外部ツールの [アウトプットバーを使用する] で入力が [選択テキスト]、[文書]、[カスタム] の場合、標準入力を自動で閉じるようにした
- アウトプットバーにおけるリダイレクト処理の安定性を向上
- 読み直しの際に、できるだけスクロール バーの位置を保持するようにした
- [編集] カテゴリに [最後に編集した位置へ移動] を追加 (メニューには非表示)
- Python のマクロで window の confirm と prompt が動作しなかった問題を修正
- エディターの右端におけるサロゲート ペアの描画を修正
- 縦書きで行間が 0 のときに傍線が切れていたのを修正
- コマンドラインオプションの処理を CommandLineToArgvW を使って作り直した (Delphi の ParamStr だと " の解析に問題があるので廃止)
- コマンドラインオプション /ff (Find in Files) で [ファイルから検索]、[ファイルから置換] を実行できるようにした

**ファイルから検索:**

```
Mery.exe /ff "検索する文字列" /fm /fr /fx /fw /fn /cp "検索するパス"
```

- /fm 大文字と小文字を区別する
- /fr サブフォルダーも検索する
- /fx 正規表現を使用する
- /fw 単語のみ検索する
- /fn ファイル名のみ表示する
- /cp エンコード
- "検索するパス"は"C:\Temp\*.txt"のようにファイルの種類を含めます

**ファイルから置換:**

```
Mery.exe /ff "検索する文字列" /fm /fr /fx /fw /fn /cp "検索するパス" /rw "置換する文字列" /bk
```

- /bk バックアップを保存する
- その他、ちょっとした隠し機能を追加
- その他、細かい修正

## 2.6.8 (2018-06-04)

- ATOK で [テキストサービスを使用しない] 設定時にトゥルーインライン入力で変換
- 候補が表示されない問題に対応
- Tidy を 5.6.0 に更新
- Tidy の仕様変更により [<font> および <center> タグを破棄] を削除
- [エンティティを保持する] オプションを追加
- [数値文字エンティティの出力] などのオプションを動作するようにした (上記オプションは [エンティティを保持する] がオフの場合のみ動作しますがTidy の仕様です)
- Hunspell を 1.6.2 に更新
- ファイルから検索/置換ダイアログに [終了したら閉じる] オプションを追加
- 行末を超えた状態での矩形選択の置換の挙動を修正
- [編集モード] と [マーカー] のアクセラレータキーが重複していたのを修正
- プラグインフレームの幅を 0 にしたときに元に戻らなくなっていた問題を修正
- プリンター設定の紙の向きが保持されなくなっていた不具合を修正
- アプリケーションアイコンに 8 ビットカラーを含めた (8 ビットといってもファミコンではありません。仮想 PC など 16 ビットカラー以下の環境で exe の 16x16 または 32x32 のアイコンが正常に表示されるようになります)
- [カーソル位置とブックマークを保存する] のチェックを外しても his ファイルが生成されていたのを修正
- トゥルーインライン入力で変換中にサロゲート ペア、IVS が正しく表示されない不具合を修正
- その他、細かい修正

## 2.6.7 (2018-04-02)

- マクロで拡張子不明、#language 指定なしの場合に JScript (Chakra) を自動選択するようにした
- キーボード割り当てで [Alt + 矢印キー] など割り当てできないキーを非表示にした
- トゥルーインライン入力で上書きモードを使用したときに変換ウィンドウの位置がおかしかったのを修正
- 単語補完ウィンドウをダブルクリックでも確定できるようにした
- 検索ダイアログを開いた状態で単語補完を呼び出した後にフォーカスがエディター部分に戻るようにした
- Per-Monitor DPI でモニタ間を移動時にコンボ ボックスの補完が動作することがある問題を修正
- その他、細かい修正

## 2.6.6 (2018-03-22)

- マクロで使用する標準のスクリプトエンジンを Chakra (jscript9.dll) に変更
	- Chakra が使用可能な場合は Chakra を使用
	- 古い環境などで Chakra が使用できない場合は標準エンジン
	- バージョン (SCRIPTPROP_INVOKEVERSIONING) は可能な限り最上位を使用
- それに伴いマクロの指令 #language = "xxxx" を追加
	- #language = "JScript"
	- #language = "PerlScript"
	- #language = "PHPScript"
	- #language = "Python"
	- #language = "RubyScript"
	- #language = "VBScript"
	- などの ProgID を指定できます (#language = "JScript" を指定した場合は Chakra をオフで jscript.dll を使用)
- [編集] メニューの [選択範囲の変換] に [Base64 エンコード] を追加
- [オプション] の [表示] の [詳細] に縦書き固定オプションを追加
- [縦中横] の [欧文を含める] を [英文を含める] に変更、"!" や "?" は英文のほうに含める、半角記号も英文に含めるようにした ([英文を含める] は項目名変更につき必要に応じて設定しなおしてください)
- 縦書きの印刷に対応 (縦書きの印刷プレビューで、前/次のページのアイコンの方向が違うのはご愛敬)
- 印刷の余白の最大値を 999 ミリまで入力できるようにした
- カーソル位置やブックマーク(his ファイル)を保存時に更新するようにした
- Windows の画面の [文字の大きさ] が 100%ではない場合の縦書きの DirectWrite の不具合を修正
- [オンラインヘルプ] のツール バーアイコンがおかしかったのを修正
- [縦中横] と [自動マーカー] 併用時に時々縦中横が解除されるのを修正
- 特定条件下で強調文字列が色分けされなくなっていた問題を修正
- 検索ダイアログの正規表現テンプレートに以下を追加
```
(?:) 非捕獲式集合
(?=) 先読み
(?!) 否定先読み
(?<=) 戻り読み
(?<!) 否定戻り読み
(?~) 非包含オペレータ
```
- 検索ダイアログで [検索する文字列] の初期値を設定できるようにした
- 行選択時にもマーカーを追加できるようにした (行単位でマーカーが分割されます。行をまたぐことはできません)
- 検索ダイアログのサイズ変更でコンボ ボックスの補完が動いていた問題を修正
- アウトプットバーへの入力でエラーが発生することがあったのを修正
- [元に戻す] のときにアウトプットバーを更新するようにした
- ウィンドウのサイズを変更したときにツール バーが小さくなる問題を修正
- 縦書きで [PageUp]、[PageDown] がおかしかったのを修正
- その他、細かい修正

## 2.6.5 (2017-12-24)

- 縦書きに対応 (縦書きの印刷は暫定対応です)
	- DirectWrite を使用した縦書きは Windows 8.1 以降で使用可能
- マーカーの塗りのロジックを変更
- [既定のエンコード] で UTF-16 を指定した場合の仕様を下記の通り変更
	- 新規作成のときは [既定のエンコード] を適用
	- 空のファイルを開いたときは [既定のエンコード] を適用
	- ASCII のみのファイルを開いたときは [UTF-8 (BOM 無し)] を適用
- [ツール バーのタイトル] の初期値をオンに変更
- アウトラインの [すべてコピー] で階層を維持するようにした
- 2 バイトより大きいユニコード文字での正規表現の検索の不具合を修正
- [書き換え禁止] の場合に [置換] が動作することがあったのを修正
- デスクトップの文字の大きさが 100%より大きい場合のタブのアイコンを修正
- デスクトップの文字の大きさが異なるマルチディスプレイで DirectWrite を有効にしたときの不具合を修正
- その他、細かい修正

## 2.6.4 (2017-10-30)

- 64 ビット版でマクロの#include が動作しなかったのを修正
- マーカーのスタイルで [下線] を設定したときにもっとマーカーっぽくしてみた
- カスタムフォントに対応 (Mery.exe と同じ場所に [Fonts] フォルダーを作成して.ttf や.otf を入れておけば起動時に読み込んで自動的にフォントの一覧に追加されます)
- 標準のテーマをちょっと修正
- その他、細かい修正

## 2.6.3 (2017-10-23)

- 64 ビット版を追加
- それにともないインストーラーを作り直した (前のバージョンのインストーラーをお使いの場合は念のため一度アンインストールしてください)
- 正規表現ライブラリの鬼雲を 6.1.3 に更新
- SSE 非対応の環境でも使用できるように鬼雲をビルドしなおした
- 描画速度を再び高速化
- タイトルバーやタスクトレイで使用される 16x16 サイズのアイコンを変更
- [UD デジタル教科書体] (NK、NP) で文字の下のほうが切れていたのを修正 (DirectWrite 使用時のみ。GDI モードでは対応できないっぽい)
- 多重起動防止の処理を改善 (エクスプローラーの右クリックから開いたときに多重起動する問題の対策)
- 行番号を太字に設定したときにはみ出ていたのを修正
- SDI でウィンドウを閉じたときに背面ウィンドウが手前に来ていたのを修正
- 編集モードの設定で [特殊な構文] → [無し] が動作していなかったのを修正
- Linux の Wine や Mac の CrossOver でエラーが出ていたのを修正
- バージョン情報などのリンク先を https に修正
- 全角/半角変換プラグインで "ｳﾞ" が "ウ゛" になっていたのを修正
- その他、細かい修正

## 2.6.2 (2017-08-03)

- 正規表現ライブラリの鬼雲を 6.1.2 に変更
- 鬼雲の仕様変更にともない onig.dll を onigmo.dll に変更
- HTML 整形ライブラリの HTML Tidy を 5.4.0 に更新
- マーカーの設定、強調文字列などの設定画面で複数選択できるようにした
- アウトラインで [+]、[-] クリック時にも移動していたのを修正
- ポップアップ メニューで自動マーカーにチェックがついちゃってたのを修正
- 上下に分割を解除したときにカーソルが行方不明になることがあったのを修正
- オプション画面などの数値入力項目で IME 無効関連の問題を修正
- サロゲート ペアの文字描画幅がおかしくなっていたのを修正
- マクロバー、マーカーバーの登録数が多い場合の起動速度などを改善
- 2.6.0 で画面の描画を高速化していた部分が不安定だったので廃止
- その他、細かい修正

## 2.6.1 (2017-06-17)

- ドラッグ アンド ドロップでマーカーの順番を入れ替えたときにマーカーバーの色が変わってしまうことがある問題を修正
- ツール バーでシェブロンクリック後のメニューからコマンドを実行したときにマウスがつかまれたままになる問題を修正
- マーカーの設定から変更したマーカーが他のタブに反映されないのを修正
- マーカーの設定から自動マーカーをオフにしたときに反映されないのを修正
- マーカーの色付けを編集モードの強調表示と分離してみた
- フォント変更時にアウトプットバーにも反映されるようにした
- マーカーのメニューを [表示] カテゴリへ移動 (右クリックメニューから消えちゃうと思うので、ポップアップ メニューの設定で [リセット] するなどしてくださいね)
- 自動マーカー、マーカーをすべて有効/無効/削除をメニューに追加、ショートカットキーを割り当てられるようにした
- ツール バーのアイコンで [特大サイズ] (48x48) を追加
- 昇順で並べ替え、降順で並べ替え、連続する重複行を削除のマクロを修正
- マーカーバーのボタンに置換機能を追加
- マーカーで背景色と下線を同時に指定したときにイイ感じになるようにしてみた
- 自動マーカーの高速化
- 起動時に [画像サイズが無効です] のエラーが出ることがあったのを修正
- アウトラインで [上へ移動] と [下へ移動] が逆になっていたのを修正
- アウトラインの [下へ移動] の不具合を修正
- IVS の色分け判定を修正
- その他、細かい修正

## 2.6.0 (2017-05-11)

- アプリケーションアイコンを変更 (Mery.ini と同じ場所に Mery.ico という名前でアイコンを配置すれば変更可能)
- アイコンリソースを meryres.dll に分離した (meryres.dll を差し替えることでツール バーアイコンを変更可能)
- ツール バーアイコンを Office 2010 スタイルに変更 (Office 2016 スタイルは高くて買えませんでした)
- ツール バーで大アイコン/中アイコン/小アイコンを選択できるようにした
- メインメニュー、ポップアップ メニューを Per-Monitor DPI に対応
- コモンダイアログを Per-Monitor DPI(仮想)に対応 (Windows 10 Anniversary Update ビルド 14393 以降が必要)
- タブを分離した時の位置をマルチディスプレイを考慮するようにした
- 検索ダイアログなどの位置とサイズを記憶するようにした
- ファイルを開くダイアログで複数のファイルを選択できるようにした
- マーカー機能を付けてみた (ポップアップ メニューをカスタマイズしている場合はメニューに反映されないので、リセットするか手動で [ツール] カテゴリの [マーカーに追加/削除] を追加してください。あと、[表示] → [ツール バー] から [マーカーバー] を表示すれば便利です)
- 画面描画の高速化
- マクロの数が多い場合の起動速度を改善
- たまに他のウィンドウがチラつくのを修正 (Delphi の不具合っぽい)
- ポップアップ メニューの設定でアクセラレータキーが重複していたのを修正
- アウトプットバーの [ファイルへ移動] の不具合を修正
- フォルダー選択のダイアログの Delphi の不具合を修正
- 強調表示である程度行をまたげるようにした
- プラグインの Editor_SetCaretPos と Editor_SetScrollPos、及び [アクティブなペイン] で直前にアクティブだったエディターを対象にした
- プラグイン SDK で使用していた NativeInt、NativeUInt、NativePoint を廃止 (32 ビット版のプラグインには影響ありません)
- eula を含めた
- リファクタリングした
- その他、細かい修正

## 2.5.6 (2016-12-23)

- [タブを空白に変換] でエラーが発生することがあったのを修正
- アウトラインのメニューに [コピー] を追加
- その他、細かい修正

## 2.5.5 (2016-11-13)

- Per-Monitor DPI でタイトルバーの高さの変更に対応 (Windows 10 Anniversary Update ビルド 14393 以降が必要)
- 全画面表示解除の領域(画面上部)を 2px から 4px に増やした
- UTF-16LE (BOM 無し)、UTF-16BE (BOM 無し) に対応 (オプション > 基本 > 既定のエンコードは再設定が必要)
- 短めのマクロのエンコード定数を追加 (meEncodingUTF8WithSignature と meEncodingUTF8WithoutSignature は長いので廃止しましたが、マクロの互換性のために一応残しています)
	- meEncodingUTF16LE
	- meEncodingUTF16LEBOM
	- meEncodingUTF16LENoBOM
	- meEncodingUTF16BE
	- meEncodingUTF16BEBOM
	- meEncodingUTF16BENoBOM
	- meEncodingUTF8
	- meEncodingUTF8BOM
	- meEncodingUTF8NoBOM
- [タブを空白に変換] のメモリ効率を改善
- オプション画面のフォントのプレビューでフォント サイズが変だったのを修正
- アウトラインの右クリックメニューでレベルごとに展開できるようにした
- アウトラインの右クリックメニューにショートカットキーを設定した
- アウトラインの初期状態の展開レベル(既定レベル)を指定できるようにした
- DirectWrite 有効時の固定ピッチフォントの文字幅を強制的に GDI のフォントに合わせる隠しオプションを追加 (Mery.ini の [Display] セクションに GdiCompatible=1 を追記)
- 外部ツールの入力で EOF を追加できるようにした
- 外部ツールのアウトプットバーへの出力を高速化
- 外部ツールのエンコードを指定できるようにした
	- それに伴い [Unicode で出力] のオプションは廃止
	- 通常は [シフト JIS] か必要に応じて [UTF-8] を使用すれば良いと思います
	- [自動選択] はアクティブな文書のエンコードを使用します
- その他、細かい修正

## 2.5.4 (2016-09-23)

- コマンドライン引数で /mf、/cp、/m を使用して対象のファイルを指定しなかった場合に新規タブに対して機能するようにした
- バージョン情報ダイアログの横幅を広げた
- 仮想デスクトップ対応は挙動が怪しいので廃止
- 仮想デスクトップで複数のデスクトップで Mery を起動できない対策として外部から起動時に新規の場合は新しいウィンドウ、既存のファイルを開いた場合は最近
- 使ったウィンドウの新しいタブで開く隠しオプションを追加 (Mery.ini の [General] セクションに OpenIn=1 を追記)

## 2.5.3 (2016-09-21)

- トゥルーインライン入力でプラグインの Editor_MatchRegEx と Editor_FindRegEx を呼び出したときに変換を確定していたのを廃止
- バージョン情報で使用している Delphi の TLinkLabel が Wine だとバグるので廃止
- 強調文字列、単語補完辞書を更新
- 無題のタブに連番をつけるようにした
- Windows 10 の仮想デスクトップで現在のデスクトップで起動するようにした
- コマンドラインから起動時にファイル名にワイルドカードを使えるようにした
- コマンドラインで引数と複数ファイルを組み合わせたときの挙動を修正
- その他、細かい修正

## 2.5.2 (2016-07-10)

- マクロの実行中に document が破棄された場合、次にアクティブなタブを document として扱うようにした
- Documents コレクションに自分のインスタンス (document) を含めるようにした
- Editors コレクションに自分のインスタンス (editor) を含めるようにした
- 検索/置換ダイアログの位置が元に戻っていたのを修正
- マクロの document.selection.SelectLine() の挙動を 1 行選択に戻した (引数: false で 1 行選択、true で複数行選択、省略時は 1 行選択)
- マウスでスクロールマージン内にキャレットを移動させた後のコピー実行で発生するスクロールを抑制してみた
- CTRL+NUM5 がキーボード割り当てできなかったのを修正 (Delphi の不具合っぽいけど直し方があっているかは自信がないです)
- 数値入力欄で IME を無効にするようにした
- 強調表示で 1 重引用符、2 重引用符、コメントの中から開始したものは無視するようにした
- 右端での句読点のぶら下げ後に変換候補が表示されないことがあったのを修正
- 可変ピッチフォントにおけるタブの代わりに空白を挿入の動作を修正
- 上書きモードでのタブ入力時の動作を修正
- 空白をタブに変換/タブを空白に変換でサロゲート ペアも考慮するようにした
- 一部の制御文字の表記を修正
- 印刷プレビューのウィンドウが画面外に出ないようにしてみた
- 水平スクロール バーを自動的に表示をデフォルトにしてみた
- 水平スクロール バーの動作を改良してみた
- 昇順で並べ替え、降順で並べ替えのサンプルマクロを差し替えた (フォーラムにて助言くださった皆様、ありがとうございました)
- その他、細かい修正

## 2.5.1 (2016-05-21)

- 行へ移動とスペルチェックのアクセラレータキーが重複していたのを修正
- 編集モードのプロパティ画面のアクセラレータキーが重複していたのを修正
- 文書を閉じたときのイベントマクロでエラーが発生していたのを修正
- 単語補完のウィンドウが高 DPI に対応していなかったのを修正
- 再起動時に壁紙の不透明度が反映されないことがあったのを修正
- ウィンドウ分割をツール バーからオン/オフできなかったのを修正
- アウトライン プラグインを差し替え (Delphi の不具合対応)

## 2.5.0 (2016-05-15)

**仕様変更:**

- ステータス バーからの機能呼び出しを誤作動防止のためダブルクリックに変更
- バージョン情報を 3 桁までの表示に変更
- sqlfmt.dll が入っていない場合は [SQL 整形] のメニューを隠すようにした
- SQL 整形の予約語を merycfg.dll から取得するようにした
- tidy.dll、sqlfmt.dll は必要に応じてロードするようにした
- フォント変更時にプラグインに EVENT_MODE_CHANGED を送るようにした
- オプションなどを変更した際に INI ファイルを更新するようにした
- ウィンドウ分割時のサイズ変更でメインエディター側のサイズを固定にした
- プラグインのプロパティを親ウィンドウの中央に表示するようにした
- マクロの document.selection.SelectLine の挙動を変更。複数行を選択している場合は選択範囲の行すべてを選択するようにした
- プラグインの設定を変更した際にフレームを作り直すようにした
- フォント関連の処理で使用していた EnumFontFamilies を EnumFontFamiliesEx に変更 (不要なフォントが表示されなくなった)
- 名前を付けて保存したときに書き換え禁止を解除するようにした
- 読み取り専用のファイルに上書き保存しようとしたときに名前を付けて保存ダイアログを開くようにした
- ウィンドウの位置とサイズを復元で SDI モードのときに最初のウィンドウのときだけ復元していたのを廃止、常に復元するようにした
- 正規表現エンジンを鬼雲に変更
- libhunspell.dll を 1.3.4 に更新

**新機能:**

- [特殊文字を入力] のサンプルマクロを同梱してみた
- [ウィンドウを左右に分割] 機能を追加
- 書き換え禁止のときにタブに鍵マークを表示するようにした
- アウトラインをドラッグ アンド ドロップまたは Alt + ↑/↓で移動できるようにした
- アウトプットバーでの [ファイルへ移動] に対応 (右クリックメニューまたはダブルクリックでファイルへ移動します)
- オプションの [ウィンドウの位置とサイズを復元] で位置指定に対応
- 行削除、行右削除、行左削除、単語削除、単語右削除、単語左削除を追加
- 行切り取り、行コピーをコマンドに追加
- AddFontResource で追加されたフォントを DirectWrite で使用できるようにした
- タッチ操作の上下パンでスクロール、左右パンで選択するようにした
- タッチ操作のピンチアウトで拡大、ピンチインで縮小するようにした
- [ファイルへ移動] で途中にあるファイル名や、桁数の指定にも対応した。例) xxxx C:\Temp\index.html(4,8): yyyy
- プラグインのメソッド Editor_Info に下記の DirectWrite 関連の情報を追加
	- MI_GET_DWRITE_ENABLED
	- MI_GET_DWRITE_RENDERING_PARAMS
	- MI_GET_COLOR_FONT_ENABLED
- Tidy を HTML5 対応版に差し替えた
	- tidy.dll に名称変更
	- [XML 整形] のメニューを [HTML Tidy] に変更
	- [ドキュメントの整形] に名称変更
	- [ドキュメントのエラーをチェック] の機能を追加

**不具合修正など:**

- 高 DPI、Per-Monitor DPI 関連の処理を全部作り直した
- 最大化→最小化→復元時にファイルの更新チェックが発動しなかったのを修正
- マルチディスプレイ環境で印刷プレビューダイアログをアクティブウィンドウがあるディスプレイに表示させるようにした
- [単語の最初の文字を大文字に変換] で ' に続く文字の処理を改善
- 印刷部数の指定にきちんと対応した
- ウィンドウ無効時のファイルのドラッグ アンド ドロップを抑制した
- Win2K でツール バーの背景が黒くなるのを修正、その他細かい Win2K 対応
- タッチ操作のプレスアンドホールドで四角い枠が消えない問題を修正
- 分割時に書き換え禁止がサブエディターに反映されなかったのを修正
- エディターエンジンをちょろっと高速化
- オプション画面のアクセラレータキーが重複していたのを修正
- その他、細かい修正

## 2.4.8.6420 (2016-01-29)

- 検索/置換ダイアログの位置とサイズを記憶するようにした (再起動時にリセット)
- [画像サイズが無効です] のエラーが表示されることがあるのをさらに修正
- その他、細かい修正

## 2.4.8.6415 (2016-01-28)

- デスクトップのカスタマイズをしている場合に起動時に "画像サイズが無効です" というエラーが表示されることがあるのを修正
- 最小化時にファイルを開いたときにウィンドウ状態を復元するようにした
- 検索/置換ダイアログのサイズを可変にしてみた
- 起動時引数にファイルから置換 /rd を追加
- 終了時に履歴を消去するオプションを追加

## 2.4.7.6394 (2016-01-10)

- [変換中の文字列を挿入モードで入力] で変換中に遅延イベントマクロの起動を抑制するようにした
- コマンドラインから起動時にファイル名の "/" も許可するようにした
- カーソル位置の復元時に時々スクロール位置がおかしかったのを修正
- こっそり用意していた単語補完の自動起動オプションを削除
- その他、細かい修正

## 2.4.7.6370 (2015-12-29)

- マクロ内での検索/置換で画面を再描画しないようにした
- 行の結合で末尾の空白を除去して 1 つにするようにした
- ファイルを開くダイアログで存在しないファイルを指定して新規作成するときにエンコードを反映するようにした
- ファイルを開くダイアログで指定したエンコードが反映されなかったのを修正

## 2.4.7.6369 (2015-12-24)

- 印刷時の文字の背景色をタブ、半角/全角スペースにも反映されるようにした
- オプションの表示サンプルで水平罫線と折り返し線のサンプルを棒にした
- オプションの表示の [指定する部分] で複数項目を同時に変更できるようにした
- 右端で折り返しに設定時、リサイズした時のスクロール バーのちらつきを抑制
- 横スクロール バーの自動サイズ調整を実装してみた
- 最大化した状態で終了してもウィンドウ位置とサイズを復元できるようにした
- 名前を付けて保存ダイアログの [ファイル名] と [ファイルの種類] の連動の仕様を Windows 標準の挙動に合わせた
- 既に開いているファイルを再度開いたときに EVENT_DOC_SEL_CHANGED イベントを送るようにした
- EVENT_DOC_CLOSE の発生タイミングをエディター破棄直前に変更 (右上の×ボタンや [すべて閉じる] でも EVENT_DOC_CLOSE を発生させるため)
- キャレットが画面外にある状態で Editor_GetCaretPos で POS_DEV を指定した時の Y 座標がエディター画面内におさまるようにした
- DirectWrite 有効時に Unicode 制御文字 (U+200C .. U+200F、U+202A .. U+202E、U+206A .. U+206F) を無視するようにした
- DirectWrite 有効時にビットマップフォントから DirectWrite 対応のフォントへの切り替えが反映されなかったのを修正
- [改行を挿入]、[改行を削除]、[行の分割]、[行の結合] の挙動を修正
- スクロールマージンの最大値を 80 行まで増量
- ファイルを開く前にバイナリかどうかチェックするようにした。誤ってバイナリをドロップしてしまった際にもキャンセルできるが、空のタブが残るのはご愛敬
- [My Macros] フォルダーを [Macros] フォルダーに名称変更。それに伴い、#include のパスを [Macros] フォルダーからの相対パスに変更。ついでに#icon のパスをマクロファイルからの相対パス、[Macros] フォルダーからの相対パスに対応
- 起動時引数で編集モードを指定できるようにした。例) /m "Delphi"
- 起動時引数でエンコードを指定できるようにした。例) /cp 65001
- それに伴いエンコード定数を下記の通りコードページに対応させて修正。既存のマクロは定数を使用している限り修正不要
	- meEncodingNone 0
	- meEncodingUTF16LE 65537
	- meEncodingUTF16BE 65538
	- meEncodingUTF8 65001
	- meEncodingUTF8WithSignature 650011
	- meEncodingUTF8WithoutSignature 650010
	- meEncodingUTF7 65000
	- meEncodingArabic 1256
	- meEncodingBaltic 1257
	- meEncodingCentralEuropean 1250
	- meEncodingChineseSimplified 936
	- meEncodingChineseTraditional 950
	- meEncodingCyrillic 1251
	- meEncodingGreek 1253
	- meEncodingHebrew 1255
	- meEncodingEUC 51932
	- meEncodingJIS 50222
	- meEncodingShiftJIS 932
	- meEncodingKorean 949
	- meEncodingThai 874
	- meEncodingTurkish 1254
	- meEncodingVietnamese 1258
	- meEncodingWesternEuropean 1252
	- UTF8 は BOM の有/無で分類が必要なため便宜上 65001 の末尾に 1/0 とした
	- JIS は独自実装だが便宜上 50222 とした
- その他、細かい修正

## 2.4.6.5927 (2015-10-27)

- マクロの LineOpen メソッドを論理行に対応させた
- ファイルから検索/置換ダイアログのアクセラレータキーの重複を修正
- 背景画像を透過 PNG に対応させた
- 背景画像の配置を選択できるようにした
- 印刷時に文字の背景色を反映するようにした
- 印刷プレビューボタンの連打を防止した
- ウィンドウ位置とサイズを復元時、マルチディスプレイ環境での動作を修正
- Aero スナップで終了した際にウィンドウ位置とサイズを元に戻すようにした
- 排他ファイルを開こうとしてエラーが発生した場合に [無題] に戻すようにした
- 結合文字で濁点などの後に余白ができる問題の修正
- その他、細かい修正

## 2.4.5.5910 (2015-09-24)

- DirectWrite + 連続する横棒 (U+2015) を正しく描画できるようにした

## 2.4.4.5877 (2015-09-20)

- Windows 7 の高 DPI 設定時にスクロール バーが消失する不具合を修正

## 2.4.3.5876 (2015-09-20)

- リファクタリングした
- スピンエディットにマイナスの数値を入力できないようにした
- スペルチェックを行う場所を設定できるようにした (副作用でスペルチェックのオン/オフ状態と前回選択した辞書の記憶が一旦ぶっ飛びます)
- トゥルーインライン入力有効でウィンドウ分割時にサブ画面のほうにフォーカスを置いて分割を解除した際にエラーが発生するのを修正

## 2.4.2.5847 (2015-09-18)

- Windows 7 + Google 日本語入力 (IMM) で発生する不具合をさらに修正
- バージョン情報の鬼車の URL を最新のものに修正

## 2.4.1.5846 (2015-09-17)

- Manifest を Windows 10 に対応させた
- Per-Monitor DPI の処理を書き直した
- カラーフォントに対応 (Windows 8.1 以降)
- Windows 7 + Google 日本語入力(IMM)で発生する不具合を修正
- マウスでの選択時にはスクロールマージンを無効にしてみた
- 文字間隔を変更できるようにした (オプション > 表示 > 文字間)
- オプション画面のタブオーダーを修正
- [行へ移動] の範囲を 0-999999999 に変更 (0 指定時は末尾に移動)
- [行へ移動] の後にカーソル行の下線が消えるのを修正
- マクロの document.Activate でタブが 1 つの場合でもウィンドウを手前に持ってくるようにした (タブ無効時にウィンドウのアクティブ化としても利用可能)
- [フォント サイズをリセット] のコマンド (CTRL+0) を追加 ([現在のフォント サイズを既定に設定] で設定した既定値に戻します)
- 濁点 (U+3099)、半濁点 (U+309A) で描画を分離するようにしてみた
- 結合文字列の幅計算処理を修正
- Windows XP で名前を付けて保存した後にフォーカスが外れるのを修正
- DirectWrite 有効時、制御文字の表示がずれるのを修正
- DirectWrite 有効時、一部の IVS が描画できなかったのを修正
- 選択範囲の背景色で透明を選択時、反転表示する仕様に戻した
- 印刷ダイアログで [選択範囲した部分] が利かなかったのを修正
- トゥルーインライン入力中の折り返し位置変更時に確定するようにした
- ESC キーでキーボードマップのフォームを閉じるようにした
- スペルチェックで強調文字列、タグ、ハイパーリンクは無視するようにした
- 分割時に下画面でホイールスクロールするとタブが切り替わってしまうのを修正
- ATOK2015 の再変換で発生する不具合対策のため IME の再変換処理を見直した
- 下記の通り動作確認
	- ○ Windows XP SP3 + IME Standard 2002
	- ○ Windows 7 + IME
	- ○ Windows 7 + Office IME 2007
	- ○ Windows 7 + Google 日本語入力
	- ○ Windows 8.1 + IME
	- ○ Windows 8.1 + ATOK 2015
	- △ Windows 8.1 + Google 日本語入力 ※再変換位置の自動調整が動作しない
	- ○ Windows 10 + IME
	- ○ Windows 10 + ATOK 2015
	- △ Windows 10 + Google 日本語入力 ※再変換位置の自動調整が動作しない

## 2.4.0.5701 (2015-06-20)

**仕様変更:**

- サロゲート ペアと結合文字と IVS の処理の見直し (描画の高速化、文字幅の計算方法の修正、変な位置にキャレットが移動しないような対策など)
- 編集モードの強調表示定義を外部 DLL から必要に応じて読み込むようにした
- 印刷時に背景色と文字色(透過色)は無視するようにした (背景黒で印刷したときにそのまま黒で出力するのはエコじゃないので)
- 印刷時の処理を見直し、一部の文字で文字幅が反映されなかったのを修正
- オプション画面の [カーソルとブックマークを保存する] を履歴タブに移動
- デフォルトでクリップボード履歴の取得を無効にした
- Mery.exe から 128x128 アイコンを除去
- 下線の位置と太さをフォントから取得して反映するようにした
- マクロのインクルードファイルのパスが実行元のマクロファイルからの相対
- パスになっていたのを変更 (インクルード元のファイルからの相対パス、[My Macros] からの相対パス、実行元のファイルからの相対パスの順に検索します)

**新機能:**

- DirectWrite に対応 (オプション > 表示 > フォントボタンの下にある詳細ボタンから設定可能)
- IME のトゥルーインライン入力に対応 (オプション > 基本 > 変換中の文字列を挿入モードで入力にチェック)
- 全画面表示機能を追加 (初期設定では F11 で切り替え)
- フォントの履歴にサイズも記録するようにした (すみません、副作用でフォントの履歴はいったん消えてしまいます)
- 色の反転をしたときに背景画像は反転しないようにした
- CTRL とマウスホイールでフォント サイズを変更できるようにした
- 高 DPI に対応してみた
- Windows 8 以降の場合はダイアログのフォントをシステムフォントを使用するようにしてみた

**不具合修正など:**

- ショートカットファイル(.lnk)をドラッグ アンド ドロップした時の処理を修正
- IE の履歴削除に反応してメニューがちらつく現象を回避してみた
- ページを指定して印刷時のメモリ リークを修正
- スピンエディットの挙動がなんとなく変な気がしたの修正
- ツール バーボタンの無効状態のグレーを薄くした
- ファイルを開くダイアログで fdoForceFileSystem フラグを含めた (http://****などをローカルキャッシュから開く？)
- その他、細かいバグ修正
- 一部の環境でバージョン情報が表示されない不具合を修正
- コマンドライン起動時の引数の相対パスの解決処理を修正
- タブ上でのマウスホイールが利かなくなっていたのを修正

## 2.3.0.5095 (2015-04-23)

- Delphi の VCL のバッファオーバーフローによる脆弱性の修正 http://support.embarcadero.com/article/44089 (Mery は背景画像としてビットマップを読み込み可能ですがバージョン 2.1.0.4465 以降は Windows Imaging Component を使用するようになっており、脆弱性にあたる部分のコードは使用されません。念のための修正です)
- HSP の強調表示を v3.4 に更新
- マクロのイベント駆動に対応
- Windows XP で ListView と TreeView のチェックボックスが地味だったのを修正
- プラグイン イベントの EVENT_SET_FOCUS と EVENT_KILL_FOCUS が発生条件を修正
- プラグイン イベントの EVENT_FILE_OPENED の発生タイミングを処理完了後に変更
- プラグイン イベントの EVENT_DOC_CLOSE の発生タイミングを破棄前から閉じる前に変更
- プラグイン イベントの EVENT_CARET_MOVED の発生タイミングを処理完了後に変更
- プラグイン イベントの EVENT_CHANGED の発生タイミングを処理完了後に変更
- プラグイン イベントの EVENT_MODE_CHANGED の発生タイミングを処理完了後に変更
- プラグイン イベントの EVENT_SET_FOCUS の発生タイミングを更新チェックの前に変更
- プラグイン イベントに EVENT_FILE_SAVING を追加
- 既定のエンコードが UTF-16 で ASCII 文字のみのファイルを開いたときに Mery 標準のエンコードである UTF-8(BOM 無し)を適用するようにしてみた (ASCII 文字のみのファイルのエンコードが変わってしまうのを回避するため)

## 2.2.6.5031 (2015-03-08)

- タスクバーから [すべてのウィンドウを閉じる] に対応
- 矩形選択で範囲外を選択した場合にエラーが発生するのを修正したつもり
- タブの幅を縮めて左に寄せる隠し機能を追加 (INI ファイルの General セクションに以下を追記する)

```
[General]
TabRaggedRight=1
```

## 2.2.5.5016 (2015-01-16)

- onig.dll を 5.9.6 に更新
- libhunspell.dll を 1.3.3 に更新
- スペルチェックで辞書ファイルの文字コードを aff ファイルから取得するようにした
- スペルチェックの単語の区切り判定ロジックを見直した
- マクロの記録で Copy メソッドの引数の meCopyUnicode を廃止
- Editor_GetSelType で SEL_TYPE_SELECTED の論理和を返していたのをやめた
- プラグインの SEL_TYPE_SELECTED 定数を廃止
- 右クリックメニューの初期値に [リンクをコピー]、[リンクを表示] の機能を追加
- メニューキーからコンテキストメニューを開いた時のメニューの表示位置を修正
- 引用付き貼り付けの機能を追加
- 印刷プレビューで [最後のページ] が効かなかったのを修正
- ポップアップ メニューにスペルチェックを追加した際にチェック状態が反映されなかったのを修正
- 外部で更新されたファイルを読み直す時に文字コードを自動選択するようにした
- その他、細かいバグ修正

## 2.2.4.4978 (2014-09-13)

- ファイルを開くダイアログの [読み取り専用] チェックボックスが効いていなかったのを修正
- アウトラインで [TAB] が消えたり文字化けしたりするのを修正
- 他のエディターでファイルが更新された際にウィンドウをアクティブにすると同時にドラッグするとマウス操作が効かなくなる不具合を修正
- 既定のエンコードで UTF8 (BOM 付き) を選択している場合、BOM 無しのファイルを開いても BOM 付きに設定されるのを修正

## 2.2.3.4964 (2014-05-05)

- アウトプットバーにフォーカスがある時にアウトプットバーを閉じるショートカットキーが効かなかったのを修正
- OutputBar.write で改行コードを \n、\r、\r\n のいずれも可能にした
- プラグインで EVENT_MODE_CHANGED 受信時に画面の再描画が発生する API を呼び出すと読み取り違反が発生する不具合を修正
- 特定条件下で読み取り違反が発生していたのを修正

## 2.2.2.4953 (2014-04-06)

- ファイルを開いた直後に範囲選択すると先頭から選択されてしまうのを修正
- 正規表現で前を検索した場合の挙動を修正
- VBScript で Option Explicit が動作しなかったのを修正 (#include に対応した際に動作しなくなっていた)

## 2.2.1.4937 (2014-02-10)

- スペルチェックで次のスペルへ移動時の挙動を修正
- 矩形置換、矩形選択時の貼り付けの挙動を従来のものに戻した
- 書き込みバッファ無し排他モードアクセス禁止のファイルの読み込みに対応
- 鬼車を 5.9.5 に差し替えた

## 2.2.0.4910 (2013-11-16)

- ファイルを読み直した際に読み取り違反が発生する不具合を修正
- HTML 編集時にスクリプト中のコメント行中の </script> が反応しなかったのを修正
- ファイルサイズが大きい場合のカーソルの移動速度を改善
- 矩形選択時に選択範囲の文字数を表示していたのを桁と行の表示に変更
- 通常選択時に選択範囲の文字数表示のサロゲート ペア対応を廃止 (選択範囲が広い場合に動作速度が遅くなってしまう対策)
- 空白/タブを選択して検索/置換ダイアログを開いた場合に検索文字列の初期値にセットするようにした
- 印刷プレビュー時にエディター画面の表示が乱れる場合があるのを修正
- 検索ダイアログの [>] ボタンからの入力を良い感じに修正
- ファイルから検索後のタグジャンプで検索語の強調が効かない不具合を修正
- アウトライン プラグインを色の反転に連動するようにした
- プラグインの PreTranslateMessage のハンドリング処理を修正
- マクロで外部スクリプトをインクルード (#include) できるようにした
- アウトプットバーを実装
- プラグインの機能を拡張
	- 結構大幅に機能の拡張と修正を行いましたが、プラグインを作成されている方は Editor_ExecCommand (非推奨) さえ使っていなければ互換性があるはずです
	- 私が作成したプラグインは Editor_ExecCommand を使っている部分があったので自滅
	- アウトライン プラグインは修正済みを同梱
	- クラスビュープラグインはダブルクリック時にフォーカスがエディターにあたらない
	- メッセンジャープラグインは文書の送信ができなくなってる
	- その他のプラグインは大きな問題は無いですが、精神衛生上、すべてのプラグインは最新の SDK で再構築しておきました
- 表示->アウトプット、ツール->外部ツール->ツールジョブの中止のメニュー追加に伴い MEID を振り直した
- マクロの ExecuteCommandByID (非推奨)、プラグインの Editor_ExecCommand (非推奨) を使用している場合は修正が必要。互換性を重視してケツに番号追加すれば良いんだけど、ソースの見た目が汚くなるのが許せなくて……すみません
- 文書ごとの操作に対応した Editor_Doc*メソッドを追加
	- Editor_DocGetLines
	- Editor_DocSaveFile
	- Editor_DocGetModified
	- Editor_DocGetMode
	- Editor_DocSetMode
	- Editor_DocInfo
	- 引数の iDoc は 0 から始まるインデックス
	- Editor_GetLine は TGetLineInfo の flags の上位ワードに 1 から始まるインデックス
- TGetLineInfo に改行文字を含めるフラグを追加
- Editor_OutputString、Editor_GetOutputString メソッドを追加
- Editor_DocInfo に MI_GET_INVERT_COLOR (色の反転状態を取得) のフラグを追加
- Editor_GetSelText で空文字を取得した時にエラーが出るのを修正
- Editor_Info の MI_GET_ACTIVE_DOC が実装されていなかったのを修正
- Delphi の不具合により一部のプラグインが終了時にメモリ リークしていたのを修正 (http://qc.embarcadero.com/wc/qcmain.aspx?d=27006)

## 2.1.9.4739 (2013-08-27)

- ドラッグ アンド ドロップ時の上下マージンを縮めた
- マクロで行頭、行末、文頭、文末の挙動がおかしかったのを修正
- プラグインの Editor_SetMode がバグっていたのを修正
- マクロに編集モードを取得/設定できるプロパティを追加 (document.Mode)
- 書禁の時にエディターウィンドウにファイルのドロップが効かなかったのを修正
- 編集モードの強調文字を少し修正
- ファイルから置換で検索文字列に改行コードを含めた場合の不具合を修正
- アプリケーションマニフェストを Windows 8.1 に対応

## 2.1.8.4721 (2013-07-22)

- 正規表現を使用した選択範囲の置換の挙動を修正
- 矩形置換で 1 行の場合に置換されない不具合を修正
- マクロから書き込み禁止を変更したときに目印が反映されなかったのを修正
- その他、細かいバグ修正

## 2.1.7.4674 (2013-05-28)

- 文字コードの判定処理を修正
- ファイルから検索でワイルドカードが上手く効かなかったのを修正
- 鬼車を 5.9.4 に差し替えた
- 矩形選択の削除で例外が発生するのを修正
- アプリケーションアイコンを少し鮮明にした

## 2.1.6.4644 (2013-04-07)

- 矩形選択後に DEL を押したときに矩形モードが解除されない不具合を修正
- インストーラー版向けに Mutex を修正
- その他細かいバグ修正

## 2.1.5.4624 (2013-03-29)

- 起動時に背景の不透明度など一部のオプションが反映されなかったのを修正
- 矩形選択で折り返し線を越えて貼り付けた場合の不具合を修正
- 矩形選択の貼り付けでインデックスエラーが出ることがあるのを修正
- 矩形選択周りの細かいバグ修正
- ソースコードの整理

## 2.1.4.4600 (2013-03-20)

- Windows 7、8 ネイティブ対応
- ネットワーク上のファイル (UNC) を開くのが遅かったのを修正
- 結合文字、IVS の描画ロジックの見直し (さすがに一部の外国語は無理なケースもあるけど MECSUtils が結合文字だと判定してくれさえすれば結合できると思う)
- アウトライン プラグインを起動せずにプラグインのプロパティを開いたときに設定が反映されていなかったのを修正
- ファイルから検索ダイアログで検索するフォルダーのドロップダウン時に Alt + Del が効かなかったのを修正

## 2.1.3.4565 (2013-03-14)

- ひらがな、カタカナに続く結合文字に対応
- 選択範囲のドラッグで横スクロールもできるようにした
- オプション画面の文字色のサンプルに [透明] が反映されなかったのを修正
- マウスホイールでのタブ切り替えでエディター部分がスクロールされちゃうのを修正
- F6 でアウトラインにフォーカスを移した後にウィンドウを非アクティブにして戻した
- 場合にフォーカスがどっか行く不具合を修正
- 編集モードから判別して単語補完の辞書ファイルを読み込むようにした
- アウトライン有効時、タブ有効/無効の切り替えでスレッドが正常に終了しなかったのを修正
- その他、細かいバグ修正

## 2.1.2.4548 (2013-03-09)

- 拡張子のアイコンをシステムイメージから読んでいたのを中止 (Windows 7 64bit で動作しないとのご報告が数件あったため、その対策として)
- その代わりに拡張子ごとにアイコンを管理するようにして省エネを心がけた
- document.Saveでタブの * 印が更新されるようにした
- document.Saved = true でタブの * 印が即時更新されるようにした
- マウスホイールでのタブ切り替えに対応

## 2.1.1.4539 (2013-03-08)

- 48 サイズのアイコンまで削除しちゃっていたのでこっそり修正
- 256 サイズのアイコンって使われてないのかと思っていたら、普通にデスクトップの大アイコンだったので復活させた

## 2.1.1.4538 (2013-03-07)

- オプション画面から復帰時にフォントが反映されないことがあるのを修正

## 2.1.1.4531 (2013-03-07)

- 矩形貼り付けで文字が欠けることがあったのを修正
- 正規表現の検索で ".*" が最終行にヒットしないのを修正
- さらなる軽量化、本体のファイルサイズを 250KB 程削減 (もう限界だと思う)

## 2.1.0.4465 (2013-03-05)

- 矩形置換に対応
- 履歴の削除を細かく指定できるようにした
- タブ幅を指定できるようにした (0 の場合は自動調整)
- ウィンドウサイズを指定できるようにした (0 の場合は最後に閉じたときのサイズ)
- 背景画像の読み込みロジックを WIC に変更 (XP SP3 以降と DirectX が必要)
- マクロのカスタマイズでメニューへの表示/非表示を切り替えられるようにした
- マクロ、プラグインのスクロールメソッドをスクロールマージン込みに修正
- 拡張子のアイコンをシステムイメージから読むことで高速化
- メモリをすげー食ってたので驚愕！色々と見直した (何もしていない状態で 20MB 程度、タブを開くごとに 1.5MB ってひどすぎる)
- 検証 (プラグイン無しの場合)
	- ○ UPX 圧縮廃止
	- 20MB → 12MB
	- ○ ダブルバッファリングの廃止
	- 12MB → 8MB
	- × 画面色の 16bit 化
	- 8MB → 7MB (そんなに節約できないしフルカラーの方が綺麗なので却下)
	- ※ 標準ではアウトライン プラグインが入っているので上記より若干多く食います
	- ○ 特殊構文辞書のインデックスの共通化、データ型を 16 ビットに縮小
	- 1 タブ (新規) 1.5M → 130KB
	- ○ 必要に応じてインデックスを作成(強調文字なしの場合はインデックス不要)
	- 1 タブ (新規) 130KB → 12KB
- 起動速度と動作速度がとても軽くなった気がする (代わりにファイルサイズが膨らんだけど Delphi の仕様です)
- ファイルサイズを少しでも縮めるために 256 サイズのアイコンを削除
- ダブルバッファリングの廃止にともないタブのドラッグ アンド ドロップ時の挿入位置の縦線表示を中止、代わりにドロップ位置のタブに色付け (XP のクラシックスタイルだと色が付かない制限あり)

## 2.0.18.4293 (2013-03-01)

- WindowsClassic テーマの色を微調整
- アウトライン プラグインで行が空っぽの時に出るかもしれないエラー対策
- インストーラー版向けにちょろっと調整

## 2.0.17.4282 (2013-02-27)

- 基底文字がサロゲート ペアの IVS に対応
- ファイルの更新確認のロジックを変更 (ネットワーク上のファイルを開いているとたまに固まったりしてたのでその対策)
- 元に戻した時に矩形選択範囲を保持するようにした

## 2.0.16.4257 (2013-02-04)

- 矩形選択での選択範囲の変換で文字がズレるのを修正
- 矩形選択での貼り付けの挙動を修正
- 印刷時、プロポーショナルフォントの幅がおかしくなるのを修正
- Base64 デコードのロジックを変更 (Delphi 標準の Base64 デコードを使うことにした)
- フォント変更時に折り返し位置の再計算がされない場合があるのを修正 (2.0.14 のオプション画面から復帰した際にスクロール位置が戻るのを抑制を廃止)
- InsertFromFile メソッドの第二引数エンコーディング定数が効いてなかったのを修正

## 2.0.15.4235 (2013-01-19)

- マクロ実行キーを押しっぱなし時、ステータス バーが更新されなかったのを修正
- アプリケーションが非アクティブの時にキャレットを奪わないように修正
- 前回の SetScrollBar 修正が間違えていたのでさらに修正 (HSP プラグインなどで変なエラーが出るのはこれのせいでした)
- editor.SaveCloseAll でエラーが出ていたのを修正
- editor.CloseAll メソッドを追加

## 2.0.14.4215 (2013-01-14)

- 印刷時の行番号表示が正常に表示されない不具合を修正
- ページ指定での印刷プレビューで全ページ表示されていたのを修正
- 選択範囲の印刷で論理行番号を表示するように修正 (表示座標の時は 1 始まり)
- 表示座標に設定時、選択範囲の印刷が正しく動かなかったのを修正
- 論理座標と表示座標の行番号が 1 ピクセルずれていたのを修正
- ツール バーを使用するプラグインでヌルポがでるのを修正
- マウスでの行選択動作を改善 (VisualStudio 風)
- カーソルのある行の背景色を半透明にした
- 印刷プレビューをクリック直後にエディターをクリックすると画面が崩れるのを修正
- 印刷プレビューのツール バーのヒントをステータス バーに表示しないようにした (ステータス バーのページ番号や拡大率がヒントで見えなくなってしまうから)
- 印刷時に通常文字色が反映されなかったのを修正
- オプション画面から復帰した際にスクロール位置が戻るのを抑制
- 強調文字列削除時にフォーカスが一番下に移動してしまうのを修正
- タブ幅の偶数制限を廃止、最大 16 桁まで増量
- HTML モードの構文解析ロジックの不具合修正
- HTML モードの CSS、JavaScript、VBScript 部分での正規表現による強調に対応
- 特別な構文無しの状態でもスクリプトの開始と終了に反応してしまうのを修正
- XML 整形のインデントを標準でタブインデントにした
- プラグインの SetScrollBar でスクロール不可領域に移動出来ていたのを修正
- オプション画面のタブ順序がちょっとおかしかったのを修正
- IME の前後参照変換に対応、下記で動作確認
	- ○ Windows XP SP3 + IME Standard 2002
	- ○ Windows 7 + IME
	- × Windows 7 + Office IME 2007 SP3 *他の対応ソフトも動作せず
	- ○ Windows 8 + IME 2012
	- ○ Windows 8 + ATOK 2012 ※カーソル位置前後の文章を参照して変換する有効

## 2.0.13.4120 (2013-01-07)

- IVS (異体字シーケンス) に対応したつもりだったけど、あんまり対応されてなかったのを修正
- 印刷の時にサロゲート ペア、結合文字、IVS がうまく印刷されなかったのを修正
- 最大化した状態でウィンドウを左右/上下に並べて表示をすると変なのを修正したつもりだったのが直っていなかったのをこっそり修正
- 行番号部分の反転カーソルがチラつくのを修正したつもり

## 2.0.13.4111 (2013-01-06)

- 鬼車を 5.9.3 に更新
- バージョン情報に鬼車のバージョンも表示するようにした
- IVS (異体字シーケンス) に対応
- サロゲート ペア、結合文字の描画速度の改善
- タブを閉じたとき、タブを分離したときに直前のタブをアクティブにするようにした
- テーマのエクスポートでキャレット行とブックマークの部分のスペルが違っていたのを修正
- 最大化した状態でウィンドウを左右/上下に並べて表示をすると変なのを修正
- 矩形選択時に選択範囲に文字が含まれていない場合、DEL と BS を押すとフリーズするのを修正
- 編集モードの設定で特殊な構文 [HTML] 選択時に強調文字列の [タグの内側のみ] のチェックに関係なくタグの内側のみ色分けされるのを修正
- HTML モードで style タグが色分けされないのを修正
- 編集モードの設定から編集モードを選択した場合にステータス バーに即時反映されないのを修正
- SDI 時に新規作成した時のウィンドウ位置を調整
- ウィンドウ位置とサイズの復元を見直し
- タブ有効から無効に切り替えた際のウィンドウの位置/サイズを復元するようにした
- 右端の折り返し位置を 1 桁だけ拡大
- 最下行の見切れた部分も表示するようにした
- HSP の強調文字列 "*" が乗算演算子にもマッチしちゃうので削除した (うまい正規表現が見つかれば実装します)

## 2.0.12.4050 (2012-12-24)

- 正式版にしてみた
- 編集モードの設定がたまにしか保存されない不具合を修正
- タブを有効にする実行時にフォーカスが外れてしまうのを修正
- ポップアップ メニューの設定でフォントの一覧、編集モードの一覧、クリップボードの一覧を設定できるようにした
- Windows の MessageBox を使っていたのをすべて Application.MessageBox に変更した
- editor.EnableTab プロパティを読み取り専用に変更した
- 改行コード変更時に上書き保存できるようにした
- キーボードマップでセカンダリショートカットが表示されないのを修正
- 名前を付けて保存などの際にエンコードの種類が収まりきらないので Unicode の文字を削除した
- 右のタブを閉じるなどを選択した場合にフォーカスが外れてしまうのを修正
- 右のタブを閉じた後にメニューを開いていたタブがアクティブになるようにした
- アウトラインの移動時にカーソル位置がスクロール位置の先頭にくるようにした
- Vista、7 でシステムフォルダーなどのファイルが一部開けないのを修正
- 大きめのアイコンを含めた
- 右上の×ボタンで閉じる動作を高速化した
- 行切り取り、行コピーを改行のみの行の場合は無効にした
- プラグインの設定にバージョン情報を表示するようにした
- その他、バグ修正

## 2.0.11.3997 (2012-10-24)

- タブ切り替え時にステータス バーの文字列を消去するようにした
- 矩形選択をドラッグ アンド ドロップしようとしたときにキャレットが移動するのを修正
- editors プロパティを追加
- 半透明、半角/全角変換、Web プレビュープラグインを同梱してみたり
- プラグイン仕様を若干変更 (旧アウトライン プラグインは使えなくなってる)

## 2.0.10.3980 (2012-10-21)

- 編集モードの設定で拡張子の関連付けをしていない場合に保存ダイアログなどのファイルの種類一覧がおかしくなるのを修正

## 2.0.10.3973 (2012-10-19)

- 正規表現の置換で \e が 0x001B にならないのを修正
- 正規表現の置換で \v が 0x000B にならないのを修正
- 正規表現の置換で \k が $k になってしまうのを修正
- メニューから [大きいフォント サイズ]、[小さいフォント サイズ] を削除 (やはり 0.5 ポイント単位の上下幅だと使用頻度が少ない気がするので)
- 書き換え禁止時に日本語入力ができてしまう不具合を修正
- Base64 デコード機能が正常に動作しなかったのを修正
- document.Close で最後のタブを閉じたとき処理を中断するようにした
- document.Close でエディター終了のタイミングの遅延を無くした
- マクロエラー時にエラー箇所の編集をできるようにした
- キーボード割り当て時に現在の割り当てを確認できるようにした
- editor.EnableTab プロパティを追加
- アウトラインの何もない所をクリックしたときにエディター側のカーソルが移動してしまうのを修正
- アウトラインの一番下の項目を選択したときに例外が出るのを修正
- スペルチェックで英字と外国語を区別しないようにした (フランス語などの英字と外国語混在言語対応)
- マクロ記録で " などがエスケープされないのを修正
- 編集モードのプロパティでタグ開始、タグ終了が保存されないのを修正
- 印刷範囲の指定が反映されないことがあるのを修正
- 印刷時の強調文字列が反映されないのを修正
- 印刷時に構文解析が崩壊しているのを修正
- 印刷プレビューの倍率を良い感じにした

## 2.0.9.3936 (2012-09-15)

- マクロ記録でタブキー押下が正常に記録されない不具合を修正
- ファイルから検索/置換で 4 文字以上の拡張子も検索されてしまうのを修正 (*.dpr だと*.dproj も検索される、Windows の仕様だけど)
- 上記の不具合に関連して、スペルチェック辞書でも 4 文字以上の拡張子のファイルを配置した場合にエラーが出るのを修正
- スペルチェックの辞書が無かった場合のエラー処理を追加
- ファイルの挿入が正常に動作しない不具合を修正
- タブの代わりに空白を挿入のタブ幅計算を修正
- 上書きモードの時のタブキーの動作を修正
- 置換ダイアログのホットキーがかぶっていたのを修正

## 2.0.8.3919 (2012-09-01)

- カラー印刷機能が動いていなかったのを修正
- 選択範囲の印刷を行単位に修正
- 印刷時のヘッダー/フッターに [全ページ] の選択肢を追加
- 編集モードのショートカット設定を追加
- XP 以前の等幅フォントで幅がズレる問題の対応
- スペルチェックでアンダースコア (_) を空白扱いに変更
- スペルチェックで先頭にスペルミスがあった場合、次のスペルに移動できないのを修正
- 選択範囲の変換の後の挙動の若干の不具合修正
- アウトラインで選択時にサブツリーの項目が選択されないのを修正
- SHIFT キーを押下時のオートインデント切り替えに対応していたのを廃止 (色々と不都合が起きるので)
- メニューに [大きいフォント サイズ]、[小さいフォント サイズ] を追加

## 2.0.7.3892 (2012-08-13)

- ポップアップ メニュー設定のサブメニューが保存されない不具合を修正
- ポップアップ メニューが英語のような標記になってしまう場合は一度、INI ファイルを削除するか、ポップアップ メニュー設定のリセットをしてみてください

## 2.0.7.3889 (2012-08-12)

- Windows のメニューの文字サイズを変更している場合にツール バーのサイズが変なのを修正 (メニューの文字が小さいのを修正)
- キーボード設定の一部の初期値が反映されていないのを修正
- キーボード設定が保存されないことがある不具合を修正
- マクロのエンコード定数を修正
- マクロの meFormatJoinLines が定義されていないのを修正
- マクロの SetActivePoint、SetAnchorPoint の mePosLogical が間違っていたのを修正
- スペルチェック機能を搭載してみた
- SDI で閉じたときにウィンドウが復活しちゃう不具合を修正
- マクロエラー時の行番号がずれていたのを修正
- マクロの PopupMenu インターフェイスのメモリ リークを修正
- コマンドラインオプションで桁の指定 (/cl 桁数 "ファイル名")、書き換え禁止 (/r "ファイル名") に対応
- 検索した文字列の文字色を透明にしている場合、他の強調表示と重ねられるようにした
- 開く/保存ダイアログのファイルの種類にカスタムフィルターを追加
- 開く/保存ダイアログのファイルの種類で [カスタム]、[すべてのファイル] を選択した場合に設定を保存するようにした
- ポップアップ メニュー設定でメニューの項目名を変更できるようにした
- 1 バイト以下のテキストを UTF16 で開いたときにエラーが発生するのを修正
- 次のペイン、前のペインがきちんと動いていなかったのを修正
- マクロの #icon 指示でアイコンインデックスを指定しなかった場合にエラーが出ていたのを修正
- マクロの#指示中に半角スペースが入っていても通るようにした
- マクロ、プラグインの内部 ID を相対パスをもとに生成するようにした (相対パスが同じで絶対パスが異なる場合にショートカットが消える対策)
- アウトラインの正規表現で行一致させていたのをやめた
- INI ファイル修正によるアウトラインのフォント変更に対応
- マクロのカスタマイズから編集ボタンをクリック時にエディターのフォーカスが外れるのを修正
- エディターにフォーカスが無い時にマクロから Documents にアクセスするとエラーになるのを修正

## 2.0.6.3803 (2012-07-18)

- ツール バーの高さを微調整
- 正規表現置換の番号指定参照 (\k<n>、\k'n') に対応
- 正規表現検索の名前指定参照、番号指定参照の共存を許可した
- コマンドライン引数からの新規作成ダイアログが後ろに隠れていたのを修正
- 強調文字列で空文字を登録した際のエラーを修正
- NextBookmark、PreviousBookmark が True を返さない不具合を修正
- 行の右側の強調がダブルクォートなどを超えちゃうのを修正
- キーボードマップをコピーできるようにした
- カレントディレクトリを常に実行ファイルのパスにしていたの廃止
- ファイルを開く/保存ダイアログのファイルの種類が増え続ける不具合を修正したつもりが直ってなかったのを修正
- 名前を付けて保存時にファイルの種類と拡張子が連動するようにした
- [すべてのファイル] 選択時には拡張子無しでも保存可能にした
- コマンドライン起動時に複数ファイルを指定した場合の挙動を修正 (メモ帳互換を廃止、半角スペースが含まれる場合は別ファイルとみなす)
- XP で常に最上位の時にダイアログが後ろに隠れるのを修正
- 外部ツールの引数に拡張子無しファイル名などを追加

## 2.0.5.3717 (2012-07-08)

- コマンドライン引数の [/fd] で検索した時に終了してしまう不具合を修正
- アウトライン解析中に終了したときにエラーがでることがあったのを修正
- 登録マクロの数が多い場合の起動速度をさらに改善 (Windows 7 の場合は違和感無くなったけど、XP だと若干もたつく)
- タブの幅を調節するオプション追加

## 2.0.4.3690 (2012-07-07)

- INI ファイル内のテーマ名、タブ有効、最近のファイルの保存先が [MainForm] になっていたのを修正 (設定飛びます、すみません)
- 読み直しで UTF8 を選択した場合に BOM 付き、BOM 無し関係なくただの UTF8 と表記される不具合を修正
- ファイルを保存のダイアログでフルパスが表示されていたのを修正 (Vista 以降のダイアログは仕様が変わったのですね)
- XP でファイルを開く/保存のダイアログがバグっていたのを修正
- 置換ダイアログで置換正規表現のサンプル一覧が誤っていたのを修正
- 正規表現の名前指定参照に対応
- 登録マクロの数が多い場合の起動速度を少し改善
- ツール バーカスタマイズのリセットボタンで区切りが消える不具合を修正
- メニューの引っかかり対策でクリップボード履歴の位置を変更
- 編集モードを変更した時にステータス バーに即時反映されていなかったのを修正
- ツール バーを外部ツール バーに名称変更
- 強調文字列の下部のチェックが保存されないことがある不具合を修正

## 2.0.3.3662 (2012-07-06)

- 読み直しメニュー項目のチェックを排除 (いらないよね？)
- 空のファイルを開いたときに既定のエンコードが効いていない不具合を修正
- 選択範囲が無い場合でも Base64 デコードが有効になっていたのを修正
- 書き込み禁止の場合にもコピー、引用付きコピーできるように修正
- 最後のタブを閉じた時の動作を修正 (閉じるボタン [無し] の場合は最後のタブを閉じたらエディター終了。それ以外の場合は最後のタブを残す。これでスッキリしたんじゃないかしら)
- 半角英字の後の半角数字の色分けを修正
- オプション/記号/折り返し表示設定が保存されないのを修正
- 半角空白、全角空白、タブの文字色の優先度を上げた (タグ内などでタグの色に負けてた)
- 印刷プレビューのウィンドウ位置とサイズも設定保存できるようにした (オプションでウィンドウ位置とサイズを復元チェック時)
- 編集モードの [新規作成] 機能を作成 (作るの忘れてた)
- 編集モードの設定で Access Violation が出る不具合を修正 (肝心の処理が抜け落ちていた、そもそも今まで動いていたこと自体が奇跡)

## 2.0.2.3631 (2012-07-06)

- 外部ツールのプロパティの入力欄をファイル名自動補完にした
- ツール バーを固定する設定が保存されない不具合を修正
- プラグインのチェック状態がおかしいのを修正
- すべてのタブに閉じるボタンを表示している時、閉じるボタンをクリックすると関係ないタブを閉じてしまう不具合を修正
- ツール バーのカスタマイズで読み直し、編集モード、フォントが出てこない不具合を修正
- HTML などの編集モードで SCRIPT タグを即閉じした場合に、以後の強調表示が認識されない不具合を修正
- 最近のファイル履歴の数が保存されていない不具合を修正
- TAB の色設定ができない不具合を修正。ついでに全角空白もダメでした
- ショートカット (.lnk) が開けない不具合を修正
- ポップアップ メニューで選択範囲の変換内の項目が押せなくなる不具合を修正
- 単語の最初の文字を大文字に変換の動作を修正
- 最後のタブを閉じたときにエディターごと終了するようにしてみた
- 閉じるボタンを [無し] に設定した場合、1.X 系の動きをするようにしてみた
- アクティブなタブを閉じたときに一つ手前のタブがアクティブになるように修正
- ファイルを開く/保存ダイアログのファイルの種類が増え続ける不具合を修正
- UWSC の強調表示ワードを追加
- ファイル、ウィンドウメニューに表示される省略ファイル名の幅を調整
- 最近使ったファイルの履歴数の初期値を 8 に変更
- ポップアップ メニューの設定で項目をすべて削除した時に追加ボタンが使用不能になっている不具合を修正
- 編集モードのインポート/エクスポートで ^ を正しく出力できるようにした
- 編集モードのエクスポートで [単語のみ] の設定が出力されない不具合を修正
- 編集モードの強調文字列追加、削除が反映されないことがある不具合を修正
- 編集モードで強調文字列を選択していない時にも下部のチェックボックスが使用できていたのを修正
- 強調文字列の正規表現、行の右側を強調の両方チェックの場合に動作しないのを修正
- オプションの折り返し文字数が反映されない不具合を修正

## 2.0.1.3593 (2012-07-02)

- キーボード設定画面の [削除] ボタンが効かない不具合を修正
- キーボード設定で TAB キーが割り当てられない不具合を修正
- 既定のエンコードの初期設定を [UTF-8 BOM 無し] にしてみた
- ツール バーの設定の文言を変更
- 外部ツールのプロパティで引数のサンプルに誤りがあったのを修正

## 2.0.0.3583 (2012-07-01)

**仕様変更:**

- Delphi XE で再構築した
- Windows Vista、7 (32 ビット) に正式対応した
- INI、HIS ファイルを UTF-8 で保存するようにした
- INI、HIS ファイルの保存先を変更
- Mery.dll を除去、リソースをすべて本体に内蔵した
- メニュー、ステータス バーのフォントをシステムフォントに変更

**新機能:**

- 編集モードのユーザ設定に対応
- 右クリックメニューのカスタマイズに対応
- 上書きモードに対応
- 書き換え禁止モードを追加
- テーマ機能に対応
- サロゲート ペア、結合文字に対応
- タブ機能にきちんと対応 (1.X 系は偽タブでした)
- タブの複数行表示に対応した
- タブに閉じるボタンを表示した
- タブのドラッグ アンド ドロップでウィンドウを分離できるようにした
- ファイルから置換機能を追加
- 矩形選択時のフリーカーソル化に対応
- XML 整形 (Tidy) の詳細オプションを画面から変更できるようにした
- マクロツール バー、プラグインツール バー、外部ツールツール バーを追加
- HTML 内の埋め込みスクリプトの色分けに対応
- トリプルクリックでの行選択に対応
- タイトルバー左上アイコンのドラッグ アンド ドロップでのファイルコピーに対応

**大した事の無い新機能:**

- エンコードが判断できない場合、既定のエンコードを使用するようにした
- コマンドライン起動時のマクロ実行に対応 (/mf マクロファイル名)
- メニューバー、ツール バーの位置、サイズ変更に対応
- ファイルから検索してジャンプした後の検索文字列強調表示に対応
- Wikipedia 検索機能追加 (代わりに Google 全体、Yahoo!辞書を削除)
- 編集時の改行コード変更に対応
- 改行コードに応じた記号の表示に対応
- プラグインからのツール バー生成に対応
- ショートカットキー一覧表示 (キーボードマップ) 機能を追加
- アウトライン機能を別スレッドにした (体感速度向上)
- 編集モードごとのアウトライン設定に対応
- マウスホイールクリックで自動スクロールに対応
- SHIFT キーを押下時のオートインデント切り替えに対応
- 編集モードに PowerShell を追加
- オプションダイアログから背景を設定できるようにした
- 背景の形式を BMP、JPG、GIF、PNG に対応した
- 背景の不透明度変更に対応
- ファイルから検索の検索するフォルダーで自動補完できるようにした
- 各種ダイアログ周りの Windows 7 対応
- UI のフォント変更、それに連動したフォームの自動サイズ調整に対応 (Mery.ini の [MainForm] に追記して Mery を再起動すると有効になります)

**不具合修正など:**

- メニューのアイコンを削除 (Delphi の不具合で大きいフォント サイズに対応できなかったため)
- 検索などのダイアログは [閉じる] ボタンでも設定を保存するようにした ([閉じる] は設定を保存 [キャンセル] は設定を保存しないのが標準的)
- ファイルから置換時の負荷を軽減した
- 補完辞書ファイルサンプルを作り直した
- 検索ダイアログなどの入力欄で CTRL+A が効くようにした
- [元に戻す] と [やり直し] が正しくマクロに記録されない不具合を修正
- ショートカットキーの / と ^ とテンキーが登録できない不具合を修正

## 1.1.2.2840 (2010-10-22)

- Windows 7 の一部の環境でステータス バーが再描画されない不具合を修正

## 1.1.1.2834 (2010-10-16)

- 検索、置換などの履歴を最大 32 個まで保存するようにした
- ステータス バーの長さを若干修正
- Windows Vista、7 用の 48x48 アイコンを含めた

## 1.1.0.2820 (2010-10-09)

- ファイルから置換の後のウィンドウキャプションを修正
- カーソルが行頭にある場合に SelectLine がうまく動作しなかったのを修正
- ブックマークの動作を微調整
- [前を検索] と [置換] が正しくマクロに記録されない不具合を修正
- [印刷プレビュー]、[すべて保存して閉じる] のホットキーを入れ替えた
- タスクトレイアイコン表示コンポーネントをバージョンアップ
- リモートデスクトップで操作している時にカーソルが消えるのを修正
- 無題かつ空っぽの状態で閉じたときに確認メッセージを表示しないようにした
- ウィンドウ分割でタブ有効/無効を切り替えた時にバグっちゃうのを修正
- 印刷プレビューの縦横比がなんだかおかしいのを修正
- 印刷プレビューのウィンドウサイズを保存できるようにした (ウィンドウサイズを復元にチェックを入れてる時だけ)
- 印刷プレビュー画面のツール バーがカスタマイズできそうなのを修正
- 印刷プレビュー画面のツール バーのヒントが表示されないのを修正
- タブ上でマウスホイールを回転させると切り替えできるようにした
- 関連付けから開いた時にウィンドウがアクティブにならない不具合を修正
- ExecuteCommandByID(MEID_FILE_CLOSE) の後に例外が出るのを修正
- ウィンドウを閉じた際に奥のウィンドウがアクティブにならない不具合を修正
- 編集モードを手動で変更するまでは拡張子に応じて自動設定するようにした
- その他バグ修正

## 1.0.14.2780 (2010-03-18)

- 画面を 24bit カラーにしてみた
- タブをクリックしやすくしてみた
- [次の文字列を検索] のアクセラレータキー(W)が重複していたのを修正
- [次の文字列を検索] をメインメニューにも表示した
- 初回起動時のタブのアイコンが変わらない不具合を修正
- 拡張子変更後の保存時にタブのアイコンが変わらない不具合を修正
- VistaAltFixUnit を除去。一見、うまく動いているように見えるが (プラグインのプロパティを開いた後にタブを閉じた時の不具合対応)
- それにともないオプション画面の項目の描画方法を元に戻した (項目をマウスポインタでなぞったら消える現象、再発します？)
- タブ有効時、何かしらのダイアログを開いた状態のまま関連付けなどから起動するとダイアログが背後に隠れてしまい操作不能になる現象を回避
- ファイルの挿入でバイナリを開いたときの確認メッセージの挙動を修正
- document.selection.SelectLine を論理行単位に修正
- document.selection.GetAnchorPointX が正しく選択開始位置を示すように修正
- document.selection.GetAnchorPointY が正しく選択開始位置を示すように修正
- document.selection.SetAnchorPoint を修正
- document.GetLine(Line)、document.GetLines を追加
- document.selection.GetActivePos を追加
- document.selection.SetActivePos を追加
- document.selection.GetAnchorPos を追加
- document.selection.SetAnchorPos を追加
- window.Prompt のダイアログを変更

## 1.0.13.2718 (2010-02-23)

- 隠しファイルも保存できるようにした
- ファイルから検索が時々動作しないのを修正したつもり
- 常に最上位の時にモダルダイアログが裏に隠れてしまう問題に無理やり対応
- 起動後にコマンドラインなどでファイル名を渡した時の挙動を修正したつもり
- [開く] で存在しないファイル名を指定した場合に新規作成できるようにした
- ダイアログが表示されている場合はタスクトレイの [すべて閉じる] と [すべて保存して閉じる] を選択不可にした
- コマンドラインオプション [/l 行番号] が壊れていたのを修復
- [次/前の文字列を検索] を右クリックメニューに追加
- タスクトレイをクリック時、アプリが前面に来ないように修正
- 本体をフォルダーごと別のパスに移動した場合にマクロ、プラグインのショートカットが消える問題に対応 (ほんとに申し訳ないです。また副作用で INI ファイルの仕様変更によりマクロ、プラグインのショートカットとツール バー設定が消えちゃいます)
- ウィンドウ位置を保存した際にタスクバーをよけて起動するのを中止
- その副作用でマルチモニタの場合でもウィンドウ位置が保存されるようになった
- のでモニタの数が変わった時にはウィンドウ位置を復元しないように修正

## 1.0.12.2542 (2010-01-30)

- ウィンドウ分割時にフォント設定などが反映されない不具合を修正
- CharLeft、CharRight、LineDown、LineUp、PageDown、PageUp、WordLeft、WordRight の引数省略時の初期値を修正
- Documents コレクションを修正
- マクロにアイコンとタイトル、ヒントを設定できるようにしてみた (INI ファイルの仕様変更によりマクロのショートカットがぶっ飛びます)
- 読み直し、編集モード、フォント、Yahoo! 辞書のツール バーボタンを追加
- 重ねて表示、上下に並べて表示、左右に並べて表示、すべて最小化のメニューをタブ有効時はグレー表示にした
- 文書が 1 つの場合は次の文書、前の文書をグレー表示にした
- [ファイルから検索] の後、文書は未変更状態にした
- [ファイルから検索] の結果ウィンドウのタイトルを変更した
- [ファイルから検索] の動作をちょっと修正
- file:// にちょろっと対応

## 1.0.11.2410 (2010-01-14)

- 引用マークで始まる行の色指定に対応
- [通常] 色の位置づけが曖昧だったのを修正
- トレイアイコンに [ファイルから検索] を追加
- トレイアイコンに [ウィンドウの一覧] を追加
- 最近のフォント履歴を保持するようにした
- フォント サイズ変更のショートカット (初期設定では CTRL+NUM+、NUM-) を追加
- editor.Documents が初期化されない不具合を修正
- document.Activate メソッドを修正
- ウィンドウ終了時に他のウィンドウが手前に来ちゃうのを修正
- コマンドラインオプション /fd (ファイルから検索ダイアログ表示) を追加
- 単語補完のショートカットキーを変更できるようにした
- URL のダブルクリックで URL を開かないオプション追加
- 選択状態の背景色を変更できるようにしてみた (Office2007 っぽい半透明色)
- その他、細かいバグ修正

## 1.0.10.2270 (2010-01-07)

- 外部ツールへの引数 [現在の行] を 1 始まりに修正
- マクロの editor.Documents コレクションを見直した (Documents の中身の並び順はエディターウィンドウを開いた順です)
- マクロから Quit や Close を使用した時の不具合を修正
- ロングファイル名取得のロジックを変更 (ネットワークドライブのファイルが遅い問題の対応)
- プラグイン表示領域が 0 になったときの不具合に対応したつもり
- [文末まで検索したら文頭に移動する] のチェックが保存されない不具合を修正
- 空白をタブに変換、タブを空白に変換の挙動を修正
- タブの代わりに空白を挿入の挙動を修正
- その他、ちょろっと修正

## 1.0.9.2204 (2009-12-28)

- マクロに editor.Documents コレクションを追加
- マクロに editor.Version プロパティを追加
- マクロの editor.OpenFile の動作を修正
- [閉じて開く] の動作を修正
- マクロ実行時のエラー行の行番号がおかしかったのを修正
- ついでにマクロエラー時にエラー行/文字位置も出るようにした
- タブ有効時にアクティブペインが切り替えできない不具合を修正
- その他、バグ修正

## 1.0.8.2184 (2009-12-24)

- 外部ツール呼び出し機能を追加
- ダブルクリック後のドラッグで単語選択するように仕様変更
- マクロ、プラグインのアクセラレータキーが更新されない不具合を修正
- ツール バーのユーザ設定が他のウィンドウに反映されない不具合を修正
- [このファイルから検索] マクロでキャンセルした時の不具合を修正
- VistaAltFixUnit を適用 (Vista、7 で Alt キー問題対応)
- その他、バグ修正

## 1.0.7.2021 (2009-12-16)

- 日付と時刻の書式を地域と言語のオプションに依存するように変更

## 1.0.7.2017 (2009-12-15)

- INI ファイルに文字列前後の半角スペースが保存されない不具合を修正
- コマンドラインオプション [/ti] を追加

## 1.0.7.2005 (2009-12-14)

- モダルダイアログが背面に隠れてしまう不具合を修正
- モダルダイアログが表示されている状態で終了した時の不具合を修正
- ファイル選択ダイアログの初期フォルダーの挙動を修正
- Vista でショートカットから起動しまくった時にエラーが発生するのを修正
- 不具合多そうなので @フォントを使用不可にした
- 印刷時のフォント一覧を見直した
- 折り返さない時の最大桁数を 8,000 桁に拡張した
- コマンドラインオプション [/l 行番号] を追加
- 編集モード UWSC で大文字小文字を区別しないように修正
- VBScript で Option Explicit が動作しなかったのを修正
- 行番号部分の右側余白を 1 ピクセル拡張
- 印刷ダイアログを全体的に変更
- 選択状態で印刷ダイアログを表示した時の初期値を [選択範囲のみ] にした
- TeX にぼちぼち対応
- その他細かいバグ修正

## 1.0.6.1910 (2009-10-11)

- StartOfDocument、EndOfDocument、StartOfLine、EndOfLine、SetActivePointでスクロール位置がカーソルに追従するように統一
- マクロ実行後にカーソル位置に強制スクロールするのをやめてみた
- 行番号部分の縦線が時々消えることがあるのを修正
- アウトライン プラグインのプロパティを開いたときに時々エラーが出るのを修正

## 1.0.6.1900 (2009-10-07)

- オプションのキーボードでマクロの項目に & が付いてしまう不具合を修正
- HSP3.2 の色分けに対応した
- マクロの Collapse に引数 meCollapseStart、meCollapseEnd を追加した (引数省略時は meCollapseStart なので現行のマクロと互換性有り)
- マクロの一部のメソッドでスクロール位置がカーソルに追従するのをやめてみた
- アウトライン プラグインで階層を 9 個までに増やした
- アウトライン プラグインで CTRL+ 数字でその階層まで展開できるようにした
- アウトライン選択時に下位の階層も含めて選択するようにした
- @フォントを使用できるようにしてみた
- 置換ダイアログなどの一部でアクセラレータキーがきかない不具合を修正

## 1.0.6.1882 (2009-09-18)

- 検索/置換ダイアログの [検索文する字列] などを OLE ドラッグ アンド ドロップに対応
- 検索/置換ダイアログに正規表現の例文入力補助を追加 (右向き三角マークにしたかったけど、やり方わかりませんでした)
- Python の複数行文字列 ''' に対応
- HSP のプリプロセッサにきっちり対応
- Bat のコメント :: に対応
- FastMM を 4.94 にバージョンアップ
- すべて置換後に選択範囲を保持するように修正
- 最近のファイルを開いた際に必ず新規ウィンドウになる不具合を修正
- タブ有効時に最大化した場合ステータス バーのサイズが変更できる不具合を修正
- 置換ダイアログの [次を検索] で上に検索されてしまうことがある不具合を修正
- 折り返した状態でカーソル位置の復元時にスクロール位置が変なのを修正
- ファイルから検索の結果からジャンプした場合にスクロール位置が変なのを修正
- 選択範囲の置換で行末に改行がある場合、1 文字余分に検索される不具合を修正
- ファイル名に & が含まれていた場合のメニュー周りの不具合を修正
- Copy メソッドの引数省略時にエラーが出る不具合を修正
- DuplicateLine メソッドで行が折り返されている場合の不具合を修正
- Saved プロパティの true と false が逆だったのを修正
- Delete、DeleteLeft メソッドの引数省略時は 1 を指定した動作に変更
- マクロに Quit メソッドを追加
- マクロの途中で Close メソッドを呼び出した際の解放漏れを修正
- 既存の拡張子無しのファイルを名前を付けて保存した時の拡張子補完をやめた

## 1.0.5.1821 (2009-08-01)

- ステータス バーに選択行数表示を追加
- マクロの StartOfLine、EndOfLine にパラメータ追加 (論理座標の先頭に移動できるようにした)
- ファイルから検索の結果が折り返されている時にジャンプできない不具合修正
- Python の予約語を修正
- Python の複数行文字列 """ に対応
- HSP の予約語に else を追加
- 正規表現で一つずつ置換した場合の行頭処理を修正
- ファイルから検索をキャンセルした時にフリーズする不具合を修正したつもり
- 補完ダイアログのサイズを変更できるようにした
- マクロに window.Redraw、window.ScrollX、window.ScrollY プロパティを追加
- アウトライン プラグインのジャンプ位置を先頭にスクロールするようにした

## 1.0.4.1807 (2009-07-05)

- [ファイル] メニューのショートカット割り当てが壊滅してた不具合を修正
- 編集モード INI のコメント ; を行頭のみ認識するようにした
- 編集モード INI のコメントに # を追加

## 1.0.3.1801 (2009-07-05)

- HSP のラベル、プリプロセッサの色をそれぞれ強調文字列 (2)、(3) に変更
- 編集モードに INI を追加
- アラビア語、バルト言語、中央ヨーロッパ言語、ギリシャ語、ヘブライ語、タイ語、トルコ語、ベトナム語、西ヨーロッパ言語のエンコードを追加
- テキストファイルのショートカットを開いた時のバグ修正
- オプションに既定のエンコード、既定の改行コードの設定を追加
- マクロの document.Text プロパティで改行コードを #10 に統一した
- マクロに PopupMenu インターフェイスを追加
- プラグインの GetCaretPos にクライアント座標取得の機能を追加
- プラグインからスクロール バーの位置取得/設定に対応
- 新規で名前を付けて保存の時に [無題] の名前を付けるようにした
- カーソル位置の文字コード、選択文字数をステータス バーに追加 (ユニコードなのでバイト数は搭載したくないな)
- オプションの履歴からクリップボード履歴を無効に出来るようにした
- クリップボード監視を遅延させた

## 1.0.2.1671 (2009-06-08)

- タブの有効/無効切り替え時に別のダイアログのチェックを追加
- 最後の行にカーソルがある時に↓キーを押すと行末に移動するように修正
- HSP のラベルとプリプロセッサに雰囲気だけ対応 (ディレクティブで色指定、プリプロは#が付いてたら認識しちゃいます)
- その他細かいバグ修正

## 1.0.1.1658 (2009-05-23)

- 画面の色が [16 ビット] の時にアイコンの背景が白くなる不具合修正
- その副作用でアイコンやカーソルなどのリソースを DLL に分離
- 起動時の引数に存在しないファイル名が指定されたときに作成できる機能追加
- 行切り取り、行コピーの動作を修正 (MSDEVLineSelect 互換にしてみた)
- 検索ダイアログの [終了したら閉じる] のチェックが保存されない不具合修正
- マクロの [Save] メソッドを修正
- タブ有効/無効切り替え時にファイルの更新確認に行く不具合を修正
- ファイルから検索処理の高速化
- ファイルから検索の進捗ダイアログのパス情報が怪しかったのを修正
- オプション画面の項目の描画が怪しい不具合を修正したつもり

## 1.0.0.1598 (2009-05-14)

- 右クリックメニューのホットキー [C] がかぶっていたのを修正
- タスクトレイアイコン表示コンポーネントのバージョンアップ
- オプション画面の項目の描画が怪しい不具合の検証用

## 1.0.0.1593 (2009-05-12)

- 本体の名称を変更 (設定ファイルの名前を Mery.ini と Mery.his に変更すれば設定の引継ぎは可能です)
- 行番号にマウスカーソルを合わせたときのカーソル形状を変更するようにした
- 重いので PngComponents を排除
- 重いのでプラグインのアイコンの仕様を変更
- カーソル行の背景色設定に対応
- それにともない背景色を透過できるように修正
- 印刷プレビューのツールボタンがバグってたのを修正
- ブックマークの色を変更できるようにした
- UPX 圧縮を中止
- あんまり使わないのでデフォルトの同梱プラグインをアウトラインのみに変更 (旧ソフトのプラグインとは互換性ないので注意)

## 0.3.4.1508 (2008-12-16)

- C++ の予約語追加
- 入力補完のための辞書ファイル (ext フォルダー内) を参考程度に追加
- タブ有効時の [閉じる] のキーボード割り当てのエラーを修正
- タブ有効時の Alt キーでメニューを操作した際の不具合を修正
- シフト JIS のアプリケーションからのドラッグ アンド ドロップの挙動を修正
- オプション画面で TAB を使用した時の怪現象を修正
- バイト数マクロで選択範囲がある場合は選択範囲のみ計算するように変更
- 新規作成で拡張子を付けて保存した時にその自動で編集モードになるようにした
- 拡張子をつけずに保存した時に自動的にその編集モードの最初の拡張子を付けるようにしてみた (拡張子無しのファイルが作成できないんですけれど)
- ブックマークのショートカットとマクロ実行のショートカットがかぶっていたので、マクロ記録 [SHIFT+F4]、マクロ実行 [F4] に泣く泣く変更
- エディター以外の部分にドロップした際にファイルが開けない不具合を修正

## 0.3.4.1500 (2008-12-15)

- カレントディレクトリの挙動を修正したつもり
- 編集モードに [HSP] を追加 (複数行にわたる文字列 {" ... "} と、ラベルは未対応ですごめんなさい)

## 0.3.4.1482 (2008-12-05)

- 次のブックマーク、前のブックマークのデフォルトのショートカットキーを変更 (ついつい CTRL に指があたってしまってカーソル移動できない場合があるので)
- カスタム バーのサイズが保存されない不具合を修正
- アウトライン、Web プレビューのプロパティダイアログのタブオーダがぐちゃぐちゃだったのを修正
- 真魚がバージョンアップしてたのでいろいろと直した (ファイルから検索でエンコードを指定できるようにした。URL リンククリックの判定で FTP アドレス対応など)
- 置換、ファイルから置換の進捗ダイアログを×ボタンで閉じた時に処理が中断されない不具合を修正
- FastMM を 4.92 に変更
- しっかし、起動おっせぇなぁ

## 0.3.3.1436 (2008-11-07)

- ステータス バーのフォントが違ったのを修正
- トレイアイコンのクリック、ダブルクリックの判定を強化 (副作用でクリックの反応が少し鈍くなったッス)
- Web プレビューの起動時オンの設定を保存しないように変更 (毎回起動時にオンになるとウザイよねぇ)
- アウトラインの右クリックメニューで解析パターンを切り替えられるようにした

## 0.3.2.1427 (2008-11-02)

- Web プレビュープラグイン追加
- バイト数マクロ追加
- 選択せずに切り取り/コピーをした時に行単位で動作するようにした
- ファイルのカーソル位置とブックマーク位置の保存オプション追加
- SQL 整形オプション追加 (sqlfmt.dll の仕様に依存します)
- アウトライン解析を少し高速化
- 起動をほんの少しだけ高速化
- プラグインの仕様を変更
- アウトライン プラグインでキーボードが利かない不具合を修正
- タブをドラッグ アンド ドロップで移動した際にエラーが出る不具合を修正
- Google、Yahoo 検索で文字列に " が含まれている際の不具合を修正
- 半角/全角変換プラグインで [英数字] を選択した際の不具合を修正
- 起動したまま OS をシャットダウンした際に設定などが保存されない不具合を修正
- SQL、XML 整形をユニコード対応、全角文字が化ける不具合を再度修正したつもり
- 前の文書、次の文書の挙動を修正
- TRegExpr を除去したつもりだったけどこっそり残っていたのを除去

## 0.3.1.1277 (2008-10-04)

- 没

## 0.3.0.1206 (2008-09-22)

- プラグイン機能対応 (プラグインのソースはもう少し待ってね)
- 一度開いたファイルのキャレット位置を記憶する機能追加
- おまけにブックマークの位置も記憶する機能追加
- 検索/置換などのダイアログの履歴削除機能追加 (ドロップダウンした状態で Alt + Del)
- SQL、XML 整形をユニコード対応、全角文字が化ける不具合修正
- ペイン切り替えのショートカットキー追加
- INI ファイルに保存されているパスがユニコード対応じゃなかった不具合修正
- アウトラインをプラグイン化
- アウトラインのプラグイン化によりカスタム バーという概念を導入 (表示位置を上下左右に設定可能、そのうち役立つ日が来ることを願う)
- 半角/全角変換プラグイン追加 (あんまり作りこめていないので使いづらいかも)
- TRegExpr を除去、正規表現は全て鬼車に委ねる事にしたのでアウトラインの正規表現設定も鬼車の表記法でいけます、たぶん
- その他、色々修正しすぎて忘れちまいました、このリリースはあまり自信無し

## 0.2.3.943 (2008-08-16)

- 地味に不具合を修正しただけです
- 最近のファイル数が保存されない不具合を修正
- Alt + 矢印で矩形選択ができない不具合を修正
- タブ上でホイールクリックした時にタブを閉じる動作を追加
- タブバーの何もないところでダブルクリックした際に新規作成の動作を追加
- ファイルから検索後のタグジャンプの挙動を修正
- これで安定版になってください神様

## 0.2.2.939 (2008-08-06)

- フォント サイズが [10.5] とか選択できない不具合を修正
- マクロで PHPScript を使用した際にプロパティへの代入ができない不具合を修正
- 改行を挿入、改行を削除、行の分割、行の結合がムチャクチャなのを修正
- 桁数の表示がやっぱりおかしいのを修正したつもり
- ヘルプの URL を [ヘルプ建設予定地] に変更 (先走りすぎ)

## 0.2.1.932 (2008-07-30)

- 最近のファイル表示数の設定追加
- 履歴のクリア機能追加
- 夜のための色の反転機能追加
- マクロの形式に PerlScript、PHPScript、PythonScript、RubyScript を追加
- exe と同フォルダーに ini があった場合はそちらを優先するように変更
- それに伴い、ini ファイル関連のロジックをかなり修正
- ini ファイルを書き出せない環境でも使用できるように修正
- マクロなどのパスを相対パスで保存するように変更
- LockWindowUpdate を使用していたのを中止
- [ファイル] メニュー開いたときの挙動が変なのを修正
- ツール バー表示設定の不具合修正
- キーボード設定のミス修正
- SQL 色分けの予約語を修正

## 0.1.1.908 (2008-07-21)

- 空白をタブに変換、タブを空白に変換の処理を空白やタブが入り混じっている場合でも計算して変換するように修正
- ドラッグ アンド ドロップでファイルを開いた際に時々キャレット位置がずれるのを修正したつもり
- インストーラーを作成してみた
- バージョン管理を真面目にやってみることにした

## 0.0.0.900 (2008-07-18)

- ウィンドウサイズ/位置保存機能追加
- タブの代わりに空白を挿入機能追加
- それにともない、インデント/逆インデントで空白にも対応
- デフォルトで [自動インデント] を中止
- 別のアプリによって更新された時のチェックの処理を修正
- SQL 整形のロジックを修正
- ツール バーからの折り返し設定、記号設定を保存するように変更
- 空白をタブに変換、タブを空白に変換のロジック修正
- タブの桁数が保存されない不具合を修正
- 全角記号の形を微調整
- その他、細々としたバグ修正

## 0.0.0.886 (2008-07-13)

- 半角空白、全角空白の色設定追加
- CTRL+N で新規作成のショートカットが漏れていたのを修正
- マクロ機能の内部をいろいろ修正
- 1 行目の桁数がカウントされてない不具合を修正 (仕様上、バイト数カウントではなく文字数カウントですが)
- マクロカスタマイズダイアログの挙動が怪しかったのを修正したつもり
- デフォルトは常駐無しにした
- 内部的にフォーム名の変更と二重起動防止のロジックの修正 (XP SP2、XP SP3 で動作しないとご報告くれた方、恐らく別のアプリとフォーム名がかぶっていたせいかと思いますのでこれで起動するのではないかと思います)
- ファイルから検索時に "*.pas;*.txt" のように複数指定できるようにした
- せっかくなので便利マクロも同梱することにした

## 0.0.0.856 (2008-07-06)

- カレントディレクトリの挙動を修正

## 0.0.0.846 (2008-06-26)

- ファイルから検索の不具合を修正
- Base64 デコード機能追加

## 0.0.0.1 (2008-04-20)

- ツール バーのアイコンを Visual Studio Image Library に変更

## 0.0.0.0 (2008-04-08)

- 公開
